
CHEVREUL PENDULUM

This pendulum exercise provides two benefits.  First, it is a handy
induction technique, either for self-hypnosis or for use by a
hypnotherapist.  Second, it provides an ideomotor technique for
communicating with the unconscious mind.  Like the first, this second
benefit can be realized in self-hypnosis or under the guidance of a
hypnotherapist.

Before going too far into the description, let me point out that there
have been some articles and books published, and there is even a kit
available for using a pendulum for healing and/or divining.  Some of
these articles/kits have prescribed directions for the pendulum to
move to obtain certain meanings.  None of this applies to the
description of the use of the pendulum, below.  In this experience,
the unconscious mind will move the pendulum as it wants.  We will
later calibrate the movements so that we can gain information from the
unconscious.

To construct a pendulum, one can take about a foot of string and tie a
paper clip on the end.  One can also use string and a small fishing
weight.  The idea is to have a string that can easily swing and can
withstand the interference of the motion of the air around the person.
In my work with clients, I have a chain with a crystal at the end.  I
use this construction so that my clients have something pretty at
which to look.  I have also used a pretty-colored, large bead at the
end of a piece of colored string.

To use the pendulum, rest the arm, with which you normally write,
comfortably on the arm of a chair or on a table.  Now, make a loose
fist with that hand, with the thumb on top of the fingers, with the
thumb and fist pointing forward.  Open the thumb and loosen the
fingers, and then take the loose end of the string and place it down
the fingers.  The weighted end of the pendulum is hanging down along
the fingers on the front of the fist.  Close the fingers and thumb
around the string, after adjusting the length of the weighted end of
the string so that the weight is not touching the surface on which the
elbow is resting.  Move the fist, holding the string, so that the
weight can move freely in any direction.

Let the pendulum swing in any direction it wants, and watch the
pendulum move.  After a the direction of the movement seems to become
defined (back and forth, front and back, on a diagonal, or in a
circle), as the unconscious mind to make that movement bigger.  Then
wait to see what will happen, and try not to change the position of
your arm or hand.  When the movement becomes bigger, ask the
unconscious to stop the movement, and, again, wait for the unconscious
to take action.  After the pendulum has significantly slowed or
stopped its motion, ask the unconscious to move the pendulum in a
different direction, wait for the motion to become definite, ask the
unconscious to make the motion bigger, and then ask the unconscious to
again bring the pendulum to a stop.  Repeat this a few times.

It is quite imprtant to give the unconscious time to respond.  When a
person first tries the Chevreul Pendulum, the unconscious may be
uncertain what is being asked.  If the conscious mind is over anxious
about getting a response, the unconscious can take this anxiety as an
instruction to not cooperate.  If after waiting a few minutes and
there is no response, it may be time to stop and try again on a
different day.  If after a few practice sessions without response, a
person can move the pendulum with the free hand to demonstrate to the
unconscious what is desired.  Practice, patience, and calmness are key
in communicating with the unconscious.

One can use the Cevreul Pendulum to communicate with the unconscious.
Questions can be posed and the unconscious can answer with the
movements of the pendulum.  However, the answers need to be simple.
One wants to keep the answers to "Yes", "No", "I don't know", and "I
don't want to answer".  Before attempting to ask any questions, one
wants to calibrate the movement of the pendulum to the four possible
answers.  To calibrate, one can think the response, such as "Yes" and
observe the movement of the unconscious, asking it to amplify the
movement to ensure that you know which direction and movement
accompany that thought.  Ask the unconscious to stop the pendulum and
then pick one of the remaining responses and do the same thing.  After
one determines a direction/movement for each response, one can test
the calibration by thinking or saying out loud some questions for
which the answers are known and can easily be expressed in one of the
four responses.

After achieving reliable responses to simple questions, one can ask
the unconscous any question about something which the subject has a
concern and try to glean what the unconscious can tell a person about
it.  Remember, the unconscious may not want to give an answer, which
is its prerogative.  If the unconscious doesn't want to answer, one
can convince it to try to answer, after determining why the
unconscious has objections to communicating about a certain topic.
Remember, the unconscious has the communications capability of a
four-year-old, and so the communication can be more effective if kept
to that level.

I haven't read this, but I recommend recalibrating the pendulum each
time one begins a question and answer session.

Here's one reference that contains information about the Chevreul
Pendulum:  _Mind-Body Therapy_ by Ernset L. Rossi and David B. Cheek,
published by W. W. Norton and Company.




