                               Excerpt from:

               Time Line Therapy  and the Basis of Personality

    Copyright  Meta Publications, 1989; 1994, Tad James & Advanced Neuro
                                  Dynamics
                                  Dynamics
                                                                            
Chapter 1: Freeing the Human Spirit with Time Line Therapy 

Since the introduction of the Line Therapy  Techniques in 1988 in the book
Time Line Therapy and the Basis of Personality, there has been, not only
excitement about the techniques themselves, but also major interest by the
psychotherapeutic community and a rather rapid adoption of the process by
people actively involved in seeing clients daily for various reasons. In the
last few years, it has become obvious that an individual's Time Line with
all the person's history -- his joys and fears, his happiness and sorrow,
his loves and hates, his limiting and empowering decisions -- is a major
part of that person's personality. Over the last few years, we found that,
if we were able to intervene in a client's Time Line therapeutically, we
were able to assist the client to create seemingly miraculous changes in his
life -- changes that extended even to the deepest level of personality.

Models, such as Time Line Therapy , are interesting devices. A model is a
description or simulation of how something works. In essence a model is a
blueprint or a map. Like a map, a model is not necessarily "true." It is
just a representation of reality. So, we are not necessarily looking for
truth in our model, we are only attempting to offer a description of how a
portion of the human personality works. Like a map, it is only a description
of the territory; and the value of any map or a blueprint lies in the
results that you can produce by using it. In retrospect, even after 5 years,
this model still seems to be a major discovery.

From the time of Aristotle to William James to Freud and Jung to Milton
Erickson, M.D., people interested in Psychology have been searching for a
way to adequately describe the human experience of time. Time Line Therapy ,
as a model, has the potential to not only make sense out of our temporal
experience, but also to change our understanding of how negative emotions
and limiting decisions affect us, as well as describing how to create a
meaningful future for all time to come, because with Time Line Therapy  we
now understand the human temporal experience and can change the basic
elements that make up someone's history.

Since 1988, thousands of people have been affected by the techniques of Time
Line Therapy . Hundreds of people have been trained in the techniques and
use them daily. Thousands of others have attended the Secret of Creating
Your Future  seminars given all over the world, and have seen dramatic
changes in their lives. Today, there are institutes in Europe, Canada,
Australia, Hong Kong, Brazil and the United States authorized to teach the
techniques of Time Line Therapy .

The Time Line Therapy  techniques are a relatively recent development. The
idea of an individual having a means of knowing the difference between
memories of the past, and the future, or having a "Time Line" is not.
Aristotle was one of the first in our culture to mention the idea of a "Time
Line" in Physics IV, for the Greeks had a clear idea of temporality. Our
having a Time Line may be, at least in part, a result of the structure our
language.

ARISTOTLE: "Western minds represent time as a straight line upon which we
stand with our gaze directed forward; before us we have the future and
behind us the past. On this line we can unequivocally define all tenses by
means of points. The present is the point on which we are standing , the
future is found on some point in front of us, and in between lies the exact
future; behind us lies the perfect, still farther back the imperfect, and
farther yet the pluperfect. ... The Greek language also has corresponding
verb-forms which can be delineated in quite similar manner on a straight
time-line. ... According to Aristotle, therefore, we must represent time by
the image of a line (more accurately: by the image of movement along a
line), either a circular line ... or a straight line." [Hebrew, pp 124-6]

WILLIAM JAMES: Time Line Therapy  has its roots in traditional psychological
thinking, and is based on earlier models, which preceded it. William James,
in Principles of Psychology, in 1890 says, "If the constitution of
consciousness were that of a string of bead-like sensations all separate ...
we should be wholly incapable of acquiring experience. ... Whether a highly
developed practical life be possible under such conditions as these is more
than doubtful ..." He described the experience of time, "In short, the
practically cognized present is no knife- edge, but a saddle-back with a
certain breadth of its own on which we sit perched and from which we look in
two directions in time. ... Date in time corresponds to direction in space.
... If we represent the actual time-stream of our thinking by an horizontal
line, the thought of the stream or of any segment of its length, past,
present, or to come, might be figured in a perpendicular raised upon the
horizontal at a certain point." He says, "Some things we date simply by
tossing them into a past or future direction." And so, "memory gets strewn
with dated things -- dated in the sense of being before or after each other.
The date of a thing is a mere relation of before or after the present thing
or some past or future thing." [Principles, pp 396-413]

MILTON ERICKSON: Time Line Therapy  also has its roots in the work of Milton
Erickson, who until his death in 1980, was the world's foremost
Hypnotherapist. Erickson, almost single-handedly, brought hypnosis out of
the closet, and made it possible for the American medical and psychiatric
community to accept it as a "legitimate form of treatment." In the early
1960's Erickson was using an hypnotic technique which, remarkably, was quite
like Time Line Therapy .

"One hypnotic phenomenon can be used to induce another. The movie screen can
be employed as an uncovering technique. The patient looks at it, sees his
past ... He can look at the screen, lose his own identity, and observe
various traumatic experiences that occurred in his own life experience. ..."
The client can look at his past and his future in a non-threatening way:
"... the patient saw himself at a later age; on another, at a still later
age -- all the way from five years of age on up to thirty-two. ... Then he
was allowed to set up another screen where he could see himself as he hoped
to appear next year. Thus he was led to recognize what he wanted in his
future, what was meaningful for him in that future. ... That technique has
been called pseudo- orientation into the future. Just as one can orient a
patient back to the past, so one can project himself into the future in
accordance with his own motivations and ... desires." [Practical, pp 342-
344]

YOUR TIME LINE: Who are you if not your collection of memories? For almost
100 years, psychologists have agreed that our past experiences do determine
who we are, and how we act. (Although the examination of memories has, in
the last decade or two, fallen into disfavor among psychologists because
they did have a reliable technique to affect the memories.) Memories are
recorded and stored as we age and with time they have more and more
influence on us. Our Time Line is the index to the memory encoding of the
unconscious mind, and it is usually wholly unconscious.

THE UNCONSCIOUS MIND: In the context of Time Line Therapy , the words
"unconscious mind" are not intended to signify anything mysterious or
unusual, simply the part of your mind of which you are not conscious, right
now. Your unconscious mind is a very important part of you. Think about it
for just a moment. Here is a part of you that runs your body; it makes your
heart beat, causes the lymph system to circulate, your breathing to
continue, your eyes to blink, your stomach to digest your food, and many
other tasks that perhaps you had never even considered.

The first thing to appreciate is that your unconscious mind is the source of
all learning, all behavior and all change. Let us look at each one of these
individually:

LEARNING: Your unconscious mind is the part of you that learns, not your
conscious mind. Now, you may have thought that you learned consciously in
the past, and although your learning has to go through the conscious mind,
it is your unconscious mind that remembers everything. Everything, once
learned, resides in the unconscious mind.

Think about all the things you have ever learned. Until the subject was
mentioned, how many of them did you remember consciously? Probably none! If
you had to remember all the phone numbers you know consciously, there
wouldn't be enough room for anything else, would there? So all learning
takes place at the unconscious level.

Think of all the phone numbers you have learned, and which you now know. For
example, you know your home phone number, do you not? If you'd like to do
this with me, please say it to yourself. Now before you were thinking of
your home phone number, where was it? Obviously it was stored somewhere, of
which you were not conscious -- that is your unconscious mind -- the part of
your mind of which you are not conscious, right now. What's important about
that is that all your learning -- everything you have ever learned -- is
stored in your unconscious mind.

BEHAVIOR: I was approached by a student at one of the hypnosis seminars I
teach. He asked, "Can you make me move my arm unconsciously?" I asked the
student if he had ever considered that he can't move his hand consciously. I
said, "Do you know how many muscles there are between the tip of your
fingers and your shoulder blade? There are 159 muscles. So, you couldn't
move your hand consciously. You have to move it unconsciously. It's not just
your hand, either -- all behavior is generated at the unconscious level.
Think about walking. You just put one foot in front of the other, don't you?
When you do, however, you don't think about it. You just do it. In fact if
you think about walking, that thinking can be counter-productive. Thinking
about walking is conscious thinking. The fact that it interferes with
walking shows us that the behavior is generated unconsciously.

How about this, the last time you drove to work, how conscious of it were
you? Do you remember the whole trip? Or do you remember none of it? If you
want a real scare just look over at the person next to you on the freeway,
the next time you drive somewhere. They too are probably unconscious.

One more example. You get on an elevator, punch a button (say 8) and the
doors close. Your eyes go up, and you watch the floor numbers: 1, 2, 3, 4, 5
... 6, and the doors open, and the person next to you gets out, and you
follow. "Is this the 8th floor." I do that all the time, I must admit.

CHANGE: Think of a bad habit you wanted to change in the past. Was it easy?
Probably not. Most people find it hard to change a bad habit. For them it's
something that takes time. I remember in the 60's when sideburns were long,
and I used to play with mine all the time, and one day I said I'm not going
to do that any more! But, you know, five minutes, and there I was again,
playing with them.

If change was that easy, you could walk up to a friend who was being a bit
of a jerk and say, "Um, excuse me, but you're being a bit of a jerk! Would
you please change?" And they would change. Right then -- if change was
conscious! In the real world, change isn't always that easy. Many people go
on doing the same old things over and over, year after year and they
complain about it. If change isn't that easy for us, it is simply because we
aren't fully in rapport with our unconscious mind. In the real world people
are often not in rapport with the unconscious mind, and that is why change
isn't that easy for them.

Your unconscious mind would really like to be in rapport with your conscious
mind. In fact your unconscious mind yearns for rapport, and looks up to your
conscious mind like a 5 or 6 or 7 year old brother or sister might look up
to you. It wants your direction and support, and it would like to do what
you asked if it only knew how. If you are not feeling like there is rapport
between your conscious and unconscious mind, it may be because you were
giving confusing messages to the conscious mind.

Let us look at this idea a little further: Your unconscious mind cannot
process a negative in consciousness. It's true. In fact, it's also true for
the conscious mind as well. Think about this. You cannot think about what
you wish to not think about without thinking about it. Think about that. For
example, if I said, "Don't think about a blue tree," what are you thinking
about. unless you were semantically trained, you are probably thinking about
a blue tree. Even though I asked you not to!!

Most of us go through our lives telling ourselves, "I don't want to think
about a blue tree. When you go in to see the boss, do you say, "I hope he
doesn't get angry like the last time."? Or when starting out in a new
relationship, do you say, "Gee, I hope I don't get hurt."? Or how about a
salesperson going in to make a sale and saying, "I hope I don't blow this
sale."?

Do you do that? If you do, it may be the wrong signal to be giving to your
unconscious mind. If it is the wrong signal, it is because the unconscious
mind cannot process a negative in consciousness. So, to facilitate
communication between the conscious and the unconscious minds let us find
out a little more about this part of us which is so important, and of which
we are so little aware -- the unconscious mind.

The Prime Directives of the Unconscious Mind:

The Prime Directives of the unconscious mind provide a framework for the
context of doing Time Line Therapy  with yourself or others. The model of
the Prime Directives gives us some powerful assumptions which structure our
use of the tool of the techniques we will learn. The term Prime Directives
means that the unconscious mind is "hard wired" (meaning that it comes from
the factory this way) and is set-up to provide or to do the following:

1.TO STORE OUR MEMORIES: The unconscious mind provides he coordination for
the storage of memories. Research as far back as 1957 (the Penfield Study)
indicates that everything that happens is recorded faithfully and stored as
memory. You may remember that in 1957, they probed a woman's brain with an
electrode, and she remembered everything that happened during a birthday
party when she was a very young child. She remembered the feel of the
krynolin of her dress, the taste and smell of her birthday cake, how her
mother and her friends looked, etc.., as if she were there. As a result of
that study, neuro-physicists postulated in 1957 that everything that happens
to us is stored in the brain in full detail. In 1960, Carl Pribram won the
Nobel Prize for his theory that expanded the place of storage of memories
from the brain to the entire body, when he postulated that memories were
stored holographically in the nervous system. It is the unconscious mind
that is responsible for the coordination of the storage of and for access to
these memories.

2.ORGANIZES ALL OUR MEMORIES: The unconscious mind organizes all the
memories which are stored in the nervous system -- in the body. The way it
organizes these memories is that it uses "indexes" to point to the stored
memories and to allow for and to facilitate your access to these memories.
Your Time Line is one such index, the organization of your values is another
such index that the unconscious mind uses.

3. THE DOMAIN OF THE EMOTIONS: The unconscious mind is the domain of the
emotions. Even though they are often felt consciously, emotions are not the
domain of the conscious mind. They are generated by, maintained by, and are
the responsibility of the unconscious mind.

4.REPRESSES MEMORIES WITH UNRESOLVED NEGATIVE EMOTIONS: Now, here is where
some interesting paradoxical situations can begin to occur. The unconscious
mind is also charged with the responsibility of repressing memories with
unresolved negative emotion. The emphasis here is on "unresolved." The
memory will be repressed with the emotion intact until it can be resolved.
The unresolved negative emotion can cause some repression of the content of
the memory to the extent of the intensity of the emotion, and to the
unresolvedness. (These repressed memories are visible in the Time Line as
dark or missing areas.) The repressed negative emotions are trapped in the
body, and in many cases can cause blockages to the flow of communication
through the neural network pathways of the body.

5. PRESENT REPRESSED MEMORIES TO RELEASE THE EMOTIONS: Memories which have
been repressed are then presented to release the trapped negative emotions.
This is the next function which the unconscious mind is "supposed" to
perform, and it is a function which can be a long term function. Supposed is
in quotes because in a number of cases, and with disfavor from the conscious
mind, the unconscious mind will stop presenting the memories for release and
keep them repressed. If the conscious mind can, at the time of presentation
of the memory, release the emotions by "rationalizing" (making rational,
preserving the learnings) the memory can be cleared of the negative
emotions.

6. KEEP REPRESSED EMOTIONS REPRESSED FOR PROTECTION: The Unconscious Mind
also has the option of keeping the memories repressed. In some cases this is
what the unconscious mind does. This is a short term function, however, and
in the long run the unconscious mind will continue to attempt to present the
memories so that they can be released, because repressed emotions are just
not good for the body. (See Prime Directive number 8.)

7. TO RUN THE BODY: The unconscious mind has also been called the
"body-mind" or the mind of the body, and in performing this function it
provides the consciousness, and the direction for the functioning of the
body.

8.TO PRESERVE THE BODY: The unconscious mind is also in charge of preserving
the body. This means, other things being equal, that if you walk out to the
street and step in front of a bus, your unconscious mind will jump you back
out of the way, and you will be safe. In times of extreme danger, many
people notice that the unconscious mind takes over, and the conscious mind
is not at all involved at that moment.

9.TO BE A HIGHLY MORAL BEING: This is not necessarily a Prime Directive as
much as it is an instinct that is built in. The unconscious mind will
enforce any morality which it has been taught and has come to believe is
true. This Prime Directive is included, however, because it is so important
in healing. If the Unconscious Mind thinks that you have been bad, then of
course, you will have to be punished. In healing, then it is important to
know if the unconscious mind feels as though it needs to punish you. The
question might arise, "What kind of morality are we talking about?" We are
talking about any kind of morality which the Unconscious Mind has been
taught and which it believes. That is why there is honor even among thieves.

10. TO TAKE DIRECTION, FOLLOW ORDERS: The unconscious mind likes to have
direction from a conscious mind with which it is in rapport. If there is no
rapport, the unconscious mind will not follow the orders or directions from
the conscious mind. With rapport the unconscious mind will follow just about
any direction from the conscious mind. Trust is important to develop in this
context, because if the unconscious mind is in charge of our physical and
many of our mental processes, rapport with it is a must.

11.TO CONTROL AND MAINTAIN ALL PERCEPTIONS: As our sensory perceptions come
in to the neurology from outside the body, they must pass through the
unconscious mind before they become available as conscious perceptions. The
unconscious mind is in charge of filtering the massive amount of data that
comes in, and making it manageable for understanding by the conscious mind.
You may have heard that one estimate is that we have approximately 2,000,000
bits of information coming in through all our sensory input channels. The
unconscious mind filters these down to a manageable 7 plus or minus 2 chunks
of information.

12. TO GENERATE, STORE, DISTRIBUTE AND TRANSMIT ENERGY: As the "manager" of
the body, the unconscious mind also is in charge of the energy of the body.
Most of the energy in the body is generated by the interaction of glucose
with oxygen. Since the unconscious mind is in charge of the energy, it can
be asked to increase the energy in the body for various purposes including
weight loss and healing.

13.TO RESPOND WITH INSTINCT AND HABIT: Some instincts are built-in at birth
-- such as the Fight or Flight response. Habits are cultivated over time.
The unconscious mind is responsible for generating and maintaining both
instincts and habits over time.

14. NEEDS REPETITION BUILDING HABITS: When cultivating a habit it is a good
idea to repeat it often until it is taken-over by the unconscious mind. The
unconscious mind is really in an on-going "now" most of the time, and so
needs a fair amount of repetition to build a habit.

15. TO CONTINUALLY SEEK MORE AND MORE: The unconscious mind is directed to
continually seek more and more. So the new car you just had to have, and you
finally bought seemed like "just any old car" after a short period of time
(say, three weeks), and perhaps you were prompted to wonder, "what's next?"

16. WILL HAVE OPTIMUM FUNCTIONING WITH A MINIMUM OF PARTS: The unconscious
mind will function perfectly with a minimum of parts. In fact, the fewer
parts the better. Since more parts means more possibility of inner conflict,
and since each part cannot be expected to have the intention of the whole as
its highest intention, the fewer parts the better. The most perfect
functioning occurs as a whole integrated functioning unity.

17. IS SYMBOLIC: The unconscious mind is symbolic. It is in many areas, pre-
literate, so it creates and uses, and responds to symbols (thank you Carl
Jung for first pointing this out to us). Much of what the unconscious mind
gives us is symbolic. This does not mean that it is meaningless, quite the
contrary, the symbols can be interpreted, and will have significant meaning.

18. WORKS ON THE PRINCIPLE OF LEAST EFFORT: The unconscious mind works on
the principle of least effort, and that means it will do as little as it can
get away with. This principle serves the unconscious mind well in energy
conservation, but not necessarily in healing various symptoms. For example,
if you are asking the unconscious mind to clear up certain symptoms, you
must ask the unconscious mind when it will start and when it will finish the
process, or you may find six months later the process is incomplete. When
asked, "why?" The unconscious mind may simply say, "I haven't started yet."

19. TAKES EVERYTHING PERSONALLY: Remember that old saying when you were a
kid, "One finger's pointing out away from you, but three are pointing back
at you?" That is because the unconscious mind takes everything personally.
The good news is that what you like about your friend, is you. The bad news
is that what you dislike about your friend, is you. The saying in psychology
is, "Perception is projection." What you see is who you are. So think the
best about everybody you meet. If you are practicing as a therapist,
educator, or manager, especially, think the best about your clients or
students -- think that they are magnificent, and that they can and will
change using Time Line Therapy , and they will. Based on the work of George
Estabrooks (1943) and Andre Weitzenhoffer (1957), that what the therapist
(or educator, or manager) does not believe to be true will not be actualized
by the client. If you believe that they can do anything, then they will. If
you see your clients as magnificent they will be magnificent. The more good
you see in your clients the more they will actualize that good for you, and
for themselves. The more you do that, the more your own unconscious mind
will feel good about you, and prosper. Honor and respect the unconscious
mind. If you can, love the unconscious mind. You and your unconscious mind
are going to be together for a long, long time, so you might as well get
along well. If you can remember your magnificence you will be magnificent!

20. CANNOT PROCESS A NEGATIVE: Finally, and we have already discussed this
earlier, make sure you are telling your unconscious mind what to do, think,
be; as opposed to telling it what not to do, think, be. Enough said..

Your Time Line is how your unconscious mind encodes and stores your
memories. It's how you know the difference between a past memory, and a
future dream? Your Time Line is largely an unconscious process, and like
remembering your home phone number, you may be more or less aware of it from
time to time.

With the Time Line Therapy  techniques, we now have for the first time, a
way to resolve significant events in a person's past, which is in alignment
with how the unconscious mind already operates. We also gain the ability to
release the negative emotions in those memories easily and quickly, or at
least in a reasonable amount of time. Obviously, the release of negative
emotions in a substantial number of a person's memories will have an impact
on their behavior. Stop, and think about it for a moment, what would be the
impact on you, if we had released all of the anger in your past memories,
while preserving the learnings from those events. Or how about the sadness,
fear, guilt or any other negative emotion.

Next, what if you could go back and re-do any old decision that you made in
the past, and decide in a new way -- a way that supported who you want to be
now? Then, what if we could have every event in the past be reevaluated in
such a way as to support the way you wanted to be now? With Time Line
Therapy , we also have the ability to reevaluate our past, and change any
decision which limits us. To a certain extent our behavior is guided by the
decisions that we've made in the past. Whether conscious or unconscious,
these decisions affect our behavior in the present. Our decisions are stored
in the Time Line, and through our Time Line we gain access to them.

Finally, what if you had a reliable way to create your future the way you
wanted it, and actually have that thing or event happen? The processes for
creating your future are as powerful as the processes for releasing negative
emotions, and clearing out limiting decisions.

These three techniques comprise the major techniques of Time Line Therapy 
as it is taught today, which we herewith present to you for your
consideration. In using these techniques, you are accepting the role of a
pioneer in the freeing of the human spirit from the bonds of the negative
emotions and limiting decisions, and showing people how to create their
futures.

----------------------------------------------------------------------------

Now Available: Time Line Therapy  Training Tapes:        

We know that many people cannot attend the trainings in Time Line Therapy 
given in Hawai'i, so we have taped both the basic and advanced training.
Call or e-Mail for pricing and availability.

 For More Information, call:
1-800-800-MIND (6463) [Orders]
1-808-941-2021 [Information]
or e-Mail at: mind@aloha.com

Return to NLP Home Page
----------------------------------------------------------------------------
----------------------------------------------------------------------------
----------------------------------------------------------------------------
       

        Orders or Information, call: 1-800-800-MIND (6463) [Orders]
1-808-941-2021 [Information]

or e-Mail at: mind@aloha.com

Return to Catalog First Page
----------------------------------------------------------------------------

----------------------------------------------------------------------------
         Answering 2 total queries so far today, 2 from the Internet
                      125 queries total - 118 internet
----------------------------------------------------------------------------
Last Modified : 10-Jan-94
