[Image]

ANAGRAMS

The use of anagrams can be helpful when a list of facts or sequence of items
must be remembered. An anagram is a word or phrase made by transposing the
letters into another word or phrase. For example, the anagram PERT stands
for Program Evaluation and Review Technique. Of course, anagrams can be
created by students to remember a specific item, such as the planets in our
solar system in sequence (Mercury, Venus, Earth, Mars, Jupiter, Saturn,
Uranus, Neptune, and Pluto). Taking the first letter of each word, you would
have m, v e, m, j, s, u, n, and p. Make up a nonsensical phrase to help you
remember the exact order, such as, "My very elegant mother just served us
nine pies."

Make up a similar anagram to use to remember the sequence of red blood cell
maturation:

             + Pronormoblast
             + Basophilic
             + Polychromatic
             + Orthochromatic
             + Reticulocyte
             + Mature

Anagram: ___________________________________________________

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

CONCENTRATION- SOME RULES OF THUMB

1. Set aside a place for study and study only!

A. Find a specific place (or places) that you can use for studying (for
example, bottom floor of the library, vacant classrooms, bedroom at home,
Squires practice rooms, back seat of a "57 Chevy, etc.)

B. Make a place specific to studying. You are trying to build a habit of
studying when you are in this place. So, don't use your study space for bull
sessions, writing letters, daydreaming, etc.

C. Insure that your study area has the following:

                  + good lighting
                  + ventilation
                  + a comfortable chair, but not too comfortable (you don't
                    want to wake up next Tuesday).
                  + a desk large enough to spread out your materials.

D. Insure that your study area does not have the following:

                  + a good view (for example: pretty girls or handsome guys
                    walking by)
                  + a telephone
                  + a loud stereo
                  + a 27-inch color TV
                  + a sociable roommate or friend
                  + an Amana refrigerator stocked with scrumptious goodies

2. Divide your work into small, short-range subgoals.

A. Don't set a goal as vague and large as ... "I am going to spend all day
Saturday studying!" You will only set yourself up for failure and
discouragement.

B. Take the time block that you have scheduled for study and set a reachable
study goal. (for example: finish reading 3 sections of chapter seven in my
Psych. text, or complete one math problem, or write the rough draft of the
introduction to my English paper, etc.)

C. Set your goal when you sit down to study but before you begin to work.

Set a goal that you can reach. You may, in fact, do more than your goal but
set a reasonable goal even if it seems to easy.

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

----------------------------------------------------------------------------

HOW TO READ A DIFFICULT BOOK

Traveling around the country I find that more and more people have an urge
to pry into such difficult subjects as science, philosophy, religion,
economics and political theory.

More often than not, however, this urge soon dries up. People find that the
book which they open with high hopes of enlightenment turns out to be beyond
their grasp. Actually, any book intended for the general reader can be
understood if you approach it in the right way. What is the right approach?
The answer lies in one important rule of reading. You should read a book
through superficially before you try to master it.

Look first for the things you can understand and refuse to get bogged down
in the difficult passages. Read right on past paragraphs, footnotes,
arguments and references that escape you. there will be enough material
which you can immediately grasp ... even if it is only 50 percent or less -
that will enable you to understand the book in part.

A variation on the method of giving a book a first superficial reading is
the technique of skimming. You will never get from skimming what reading and
study can give you, but it is a very practical way of dealing with the mass
of books available to you. By skimming you can get, often with surprising
accuracy, a general sense of the contents of a book.

For skimming or reading, the following steps are a good way to begin giving
a book the once-over.

       1. Look at the title page and preface and note especially the
          sub-titles or other indications of the scope and aim of the book
          or the author's special angle.
       2. Study the table of contents to get a general sense of the book's
          structure; use it as you would a road map before taking a trip.
       3. Check the index for the range of subjects covered or the kinds of
          authors quoted. When you see terms listed that seem crucial, look
          up the passage. You may find the key to the author's approach.

Now you are ready to read the book or skim through it, as you choose. If you
vote to skim it, look at the chapters which contain pivotal passages or
summary statements in their opening or closing pages. Then dip into a page
here and there, reading a paragraph or two, sometimes several pages in a
sequence. Thumb through the book in this way, always looking for the basic
pulse beat of the matter.

One word of warning: If you use this approach and start to skim through a
book, you may end up discovering that you aren't skimming it at all. You are
reading it, understanding it and enjoying it. When you put the book down, it
will be with the realization that the subject wasn't such a tough one after
all.

Reproduced by permission from RSSL, University of Maryland

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

CONTROL OF THE ENVIRONMENT

1. Set aside a fixed place for study and nothing but study. Do you have a
place for study you can call your own? As long as you are going to study,
you may as well use the best possible environment. Of course, it should be
reasonably quiet and relatively free of distractions like radio, TV, and
people. But that is not absolutely necessary. Several surveys suggest that
80% of a student's study is done in his own room, not in a library or study
hall. A place where you are use to studying and to doing nothing else is the
best of all possible worlds. After a while, study becomes the appropriate
behavior in that particular environment. Then, whenever you sit down in that
particular niche in the world you'll feel like going right to work. Look at
it this way; when you come into a classroom, you sit down and go to work by
paying attention to the instructor. Your attitude and attention and behavior
are automatic because in the past, the room has been associated with
attentive listening and not much else. If you can arrange the same kind of
situation for the place where; you study, you will find it easier to sit
down and start studying.

2. Before you begin an assignment, write down on a sheet of paper the time
you expect to finish. Keep a record of your goal setting. This one step will
not take any time at all. However, it can be extremely effective. It may put
just the slightest bit of pressure on you, enough so that your study
behavior will become instantly more efficient. Keep the goal sheets as a
record of your study efficiency. Try setting slightly higher goals in
successive evenings. Don't try to make fantastic increases in rate. Just
increase the goal a bit at a time.

3. Strengthen your ability to concentrate by selecting a social symbol that
is related to study. Select one particular article of clothing, like a scarf
or hat, or a new little figurine or totem. Just before you start to study,
put on the cap, or set your little idol on the desk. The ceremony will aid
concentration in two ways. First of all, it will be a signal to other people
that you are working, and they should kindly not disturb you. Second, going
through a short, regular ritual will help you get down to work, but be sure
you don't use the cap or your idol when your are writing letters or
daydreaming or just horsing around. Keep them just for studying. If your
charm gets associated with anything besides books, get a new one. You must
be very careful that it doesn't become a symbol for daydreaming.

4. If your mind wanders, stand up and face away from your books. Don't sit
at your desk staring into a book and mumbling about your poor will power. If
you do, your book soon becomes associated with daydreaming and guilt. If you
must daydream, and we all do it occasionally, get up and turn around. Don't
leave the room, Just stand by your desk, daydreaming while you face away
from your assignment. The physical act of standing up helps bring your
thinking back to the job. Try it! You'll find that soon just telling
yourself, "I should stand up now," will be enough to get you back on the
track.

5. Stop at the end of each page, and count 10 slowly when you are reading.
This is an idea that may increase your study time, and it will be quite
usefull you if you find you can't concentrate and your mind is wandering. If
someone were to ask you, "What have you read about?" and the only answer you
could give is, "About thirty minutes," then you need to apply this
technique. But remember, it is only useful if you can't concentrate -- as a
sort of emergency procedure.

6. Set aside a certain time to begin studying. Certain behavior usually is
habitual at certain times of the day. If you examine your day carefully,
you'll find that you tend to do certain things at predictable times. There
may be changes from day to day, but, generally parts of your behavior are
habitual and time controlled. If you would be honest with yourself, you'd
realize that time controlled behavior is fairly easy to start. The point is
that if you can make studying - or at least some of your studying - habitual
it will be a lot easier to start. And if the behavior is started at a
habitual time, you will find that it is easier to start. And if the behavior
is started at a habitual time, you will find that it is easier to get going
without daydreaming or talking about other things.

7. Don't start any unfinished business just before the time to start
studying. Most people tend to think about jobs they haven't finished or
obligations they have to fulfill much more than things that they have done
and gotten out of the way. Uncompleted activities tend to be remembered much
longer than completed ones. If we apply that idea to the habit of
daydreaming, you might suspect that uncompleted activities and obligations
would be more likely to crop up as a source of daydreaming than completed
ones. Therefore, when you know you're about to start studying because it's
the time you select to begin, don't get involved in long discussions. Try to
be habitual with the time you start, and be careful what you do before you
start studying. This can be one way to improve your ability to concentrate.

8. Set small, short-range subgoals for yourself. Divide your assignment into
subsections. Set a time when you will have finished the first page of the
assignment, etc. If you are doing math, set a time goal for the solution of
each problem. In other words, divide your assignments into small units. Set
time goals for each one. You will find that this is a way to increase your
ability to study without daydreaming.

9. Keep a reminder pad. Another trick that helps increase your ability to
concentrate is to keep pencil and paper by your notebook. If while you're
studying you happen to think about something that needs to be done, jot it
down. Having written it down you can go back to studying. You'll know that
if you look at the pad later, you will be reminded of the things you have to
do. It's worrying about forgetting the things you have to do that might be
interfering with your studying.

10. Relax completely before you start to study. One approach to
concentration is to ask yourself, "Do study and bookwork scare me?" If you
have to do something unpleasant, something that you know you may do badly,
how do you react? Probably you put it off as long as possible, find yourself
daydreaming, and would welcome reasons to stop studying. If you do react
this way, you might be said to suffer from learned book-anxiety. The key to
breaking this book-anxiety daydream series is learning how to relax. When
you are physically, deeply, and completely relaxed, it is almost impossible
to feel any anxiety. Associate the book with relaxation, not with tension
and anxiety. When you study, study; when you worry, worry. Don't do both at
the same time.

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

HOW TO READ ESSAYS YOU MUST ANALYZE

1. Take a pencil in your hand.

2. Read the essay over once, quickly, looking for the main idea, for what
the essay is about in general, and for what the author seems to be saying.
Don't get bogged down in details. (If you come to an unfamiliar word, circle
it but go on reading).

3. Check the meaning of unfamiliar words. If they seem to be key words,
i.e., if the author uses them more than once, scribble a brief definition at
the bottom of the page or at the end of the essay.

4. Now re-read more slowly and carefully, this time making a conscious
attempt to begin to isolate the single most important generalization the
author makes: his thesis. Follow his line of thought; try to get some sense
of structure. The thesis determines the structure, so the structure, once
you begin to sense it, can lead you to the thesis. What is the main point
the author is making: Where is it? Remember, examples or "for instances" are
not main points.

The thesis is the generalization the author is attempting to prove valid.
Your job, then is to ask yourself, "What is the author trying to prove"?

Another way of identifying the thesis is to ask yourself, "What is the
unifying principle of this essay"? or "What idea does everything in this
essay talk about"? or "Under what single main statement could all the
subdivisions fit"?

If the author has stated his thesis fully and clearly and all in one place,
your job is easier. The thesis is apt to be stated somewhere in the last few
paragraphs, in which case the preceding paragraphs gradually lead up to it,
or else somewhere right after the introduction, in which case the balance of
the essay justifies the statement and refers back to it. Sometimes, however,
the author never states the entire thesis in so many words; he gives it to
you a piece at a time. Never mind. You can put it together later.

5. When you think you have grasped the main point, the whole essay goes to
prove, underline it and write thesis in the margin. If you find you have
several possible theses, don't panic; they all fit together somehow. One or
more will probably turn out to be supporting the thesis rather than part of
it.

Now re-read for structure. You are looking for the main divisions of the
essay. There will (probably) be an introduction: draw a line clear across
the page after the introduction and write intr in the margin. Now tackle the
body of the essay. You are already pretty sure what the main idea is. What
are the main points the author makes in leading up to his thesis, or in
justifying it?

You will find in a longer essay that you are now dealing with groups of
paragraphs, all having to do with the same subdivision of the main subject.
Draw lines between the main groups and give the groups labels. In an essay
about how to take an English I final, for instance, you would undoubtedly
find a group of paragraphs all of which could be labeled "preparation", and
another group that could be called "typical exam questions". Under each
group there would be sub-groups: under "preparation" there might be
"reviewing essay", "memorizing terminology", etc.

Occasionally, you will find a paragraph that doesn't seem to accomplish
much. Some paragraphs, for instance, are purely illustrative: the "for
example" type of paragraph. Some are just comments or igressions by the
author . The "that reminds me" type. A third very common type is the
transitional paragraph, which just takes you rather gracefully from one
point to another. When you come across a paragraph like one of these, label
it in the margin.

6. Within each structural subdivision find out what points the author is
making. (In the essay about the English 1 final, find out specifically what
the author says to do in order to prepare for the exam.) In other words,
identify the topic sentence of each important paragraph. Underline the
sentence. Sometimes the topic sentence is at the beginning of the paragraph
and sometimes at the end. Sometimes the topic is not stated but is only
implied

7. You now have the skeleton of the author's argument and should be able to
follow his reasoning. If you are still having trouble, try scribbling a word
or two in the margins and summing up the paragraphs as if you were
annotating a textbook. In the essay about the English 1 final, for instance,
you might write "Mark up textbooks" in the margin after one paragraph, and
"but not too much" after the next. You can also underline key transitional
or structural words or phases like "but", "however", "moreover", "on the
other hand", "nevertheless".

8. Now write out , at the beginning or end of the essay, a thesis statement
for the essay. Remember, the thesis was his guiding PURPOSE? What audience
did he have in mind? What assumptions did he make i.e., what did he take for
granted his audience already knew, or already believed, or both? Is his
audience hostile or friendly?

9. Finally, and very important, consider two other questions: WHY did the
author write this, and for WHOM? What audience did he have in mind? What
assumptions did he make, i.e., what did he take for granted his audience
already knew, or already believed, or both? Is his audience hostile or
friendly?

10. If you know you are to be examined on the rhetorical techniques the
author uses, now is the point to go on a deliberate hunt for them after you
have thoroughly understood the essay.

Adapted by permission of RSSL, University of Maryland

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

EDITING LECTURE NOTES

1. There are several good reasons for organizing and reviewing your notes as
soon as possible after the lecture.

A. While the lecture is still fresh in your mind, you can fill in from
memory examples and facts which you did not have time to write down during
the lecture. More over, you can recall what parts of the lecture were
unclear to you so that you can consult the lecturer, the graduate assistant,
a classmate, your text, or additional readings for further information.

B. Immediately review results in better retention than review after a longer
period of time. Unless a student reviews within 24 hours after the lecture
or at least before the next lecture, his retention will drop; and he will be
relearning rather than reviewing.

2. A method of annotation is usually preferable to recopying notes. The
following suggestions for annotating may be helpful:

A. Underline key statements or important concepts.

B. Use asterisks or other signal marks to indicate importance.

C. Use margins or blank pages for coordinating notes with the text. Perhaps
indicate relevant pages of the text beside the corresponding information in
the notes.

D. Use a key and a summary.

             + Use one of the margins to keep a key to important names,
               formulas, dates, concepts, and the like. This forces you to
               anticipate questions of an objective nature and provides
               specific facts that you need to develop essays.
             + Use the other margin to write a short summary of the topics
               on the page, relating the contents of the page to the whole
               lecture or to the lecture of the day before. Condensing the
               notes in this way not only helps you to learn them but also
               prepares you for the kind of thinking required on essay exams
               and many so-called "objective" exams.

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

CONSTRUCTIVE SUGGESTIONS REGARDING MOTIVATION

It is your responsibility to make college a growth experience for you. The
following suggestions and resources may be helpful.

1. Attack the problem of goal setting directly.

A. Gather information about your interests, abilities, values, and needs.
The following may be useful in this process;

             + Tests
             + Counseling
             + Self-evaluation

B. Gather information about occupations.

             + Career Services at Virginia Tech has files of this type of
               information.
             + Use the Occupational Outlook Handbook.
             + Talk to personnel in Career Services.
             + Get first-hand information from people working in this field.

C. Gather information about training requirements and training programs.

             + Using Career Services occupational files.
             + Using college and other catalogs.
             + Get first-hand information from professors or those in the
               field.

D. On the basis of the information, start making decisions which lead you in
directions you want to go.

2. Attack personal problems directly. The following may be helpful:

A. Using the services of the Counseling Center.

             + Individual counseling or therapy.
             + Self-help materials.
             + Group counseling or therapy.

B. Attack the problem yourself.

             + Self-evaluation.
             + Direct confrontation of others involved in the problem.
             + Accept responsibilities for initiating changes you want to
               make.

MOTIVATION CHECKLIST

The following checklist may prove helpful in getting at the sources of poor
motivation. If you want to improve your motivation you may want to choose a
self-directed improvement program or use the information as a focus for
counseling.

1. Really preferring something other than attending this university:

____Would prefer not to go to college.

____Would rather attend another college.

____Would prefer a different kind of training.

2. College as means to ends other than learning:

____To avoid getting a job

____To find a mate

____To have a good time

____To avoid the military service

____To get away from home

____To prove self-worth

3. Distracting personal problems:

____Conflict with same sex

____Conflict with opposite sex

____Conflict with parents

____Lack of confidence

____Undefined resistance to college

____Angry at the world

____Overuse of drugs or alcohol

____Fear of evaluation

____Difficulty in making decisions

____Lack of financial resources

____Marriage problems

____Phobias and other anxieties

____Insecurity

____Loneliness

4. Lack of interest

____Undefined vocational goals

____Undefined educational goals

____Course material is not what I think is important

____Interest in school is not the "in" thing among my friends.

5. Continuing self-defeating behavior patterns:

____Excessive dependence on parents or others

____Fear as a motivator

____Parents as motivators

____Grades or academic achievement as motivator

____High school habits

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

READING AND STUDY SKILLS: NOTE TAKING

THE CORNELL SYSTEM

The Cornell system for taking notes is designed to save time but yet be
highly efficient. There is no rewriting or retyping of your notes. It is a
"DO IT RIGHT IN THE FIRST PLACE" system.

1. First Step - PREPARATION

Use a large, loose-leaf notebook. Use only one side of the paper. (you then
can lay your notes out to see the direction of a lecture.) Draw a vertical
line 2 1/2 inches from the left side of you paper. This is the recall
column. Notes will be taken to the right of this margin. Later key words or
phrases can be written in the recall column.

2. Second Step - DURING THE LECTURE

Record notes in paragraph form. Capture general ideas, not illustrative
ideas. Skip lines to show end of ideas or thoughts. Using abbreviations will
save time. Write legibly.

3. Third Step - AFTER THE LECTURE

Read through your notes and make it more legible if necessary. Now use the
column. Jot down ideas or key words which give you the idea of the lecture.
(REDUCE) You will have to reread the lecturer's ideas and reflect in your
own words. Cover up the right-hand portion of your notes and recite the
general ideas and concepts of the lecture. Overlap your notes showing only
recall columns and you have your review.

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

PRIORITY SETTING: "FIRST THINGS FIRST"

Frank L. Tibolt tells this story:

One day a management consultant, Ivy Lee, called on Schwab of the Bethlehem
Steel Company. Lee outlined briefly his firm's services, ending with the
statement: "With our service, you'll know how to manage better."

The indignant Schwab said, "I'm not managing as well now as I know how. What
we need around here is not more "knowing" but more doing, not knowledge but
action; if you can give us something to pep us up to do the things we
ALREADY KNOW we ought to do, I'll gladly listen to you and pay you anything
you ask."

"Fine", said Lee. "I can give you something in twenty minutes that will step
up your action and doing at least 50 percent".

"O.K.", said Schwab. "I have just about that much time before I must leave
to catch a train. What's your idea?"

Lee pulled a bland 3x5 note sheet out of his pocket, handed it to Schwab and
said: "Write on this sheet the six most important tasks you have to do
tomorrow". That took about three minutes. "Now", said Lee, "number them in
the order of their importance". Five more minutes pass. "Now", said Lee,
"put this sheet in you pocket and the first thing tomorrow morning look at
item one and start working on it. Pull the sheet out of your pocket every 15
minutes and look at item one until it is finished. Then tackle item two in
the same way, then item three. Do this until quitting time. Don't be
concerned if you only finished two or three, or even if you only finish one
item. You'll be working on the important ones. The others can wait. If you
can't finish them all by this method, you couldn't with another method
either, and without some system you'd probably not even decide which are
most important".

"Spend the last five minutes of every working day making out a "must " list
for the next day's tasks. After you've convinced yourself of the worth of
this system have your men try it. Try it out as long as you wish and then
send me a check for what YOU think it's worth".

The whole interview lasted about twenty-five minutes. In two weeks Schwab
set Lee a check for $25,000 - a thousand dollars a minute. He added a note
saying the lesson was the most profitable from a money standpoint he had
every learned. Did it work? In five years it turned the unknown Bethlehem
Steel Company into the biggest independent steel producer in the world; made
Schwab a hundred million dollar fortune, and the best known steel man alive
at that time.

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

PROCRASTINATION: TEN WAYS TO "DO IT NOW"

We've all been plagued by procrastination at one time or another. For some,
it's a chronic problem. Others find that it hits only some areas of their
lives. The net results, though, are usually the same - wasted time, missed
opportunities, poor performance, self-deprecation, or increased stress.

Procrastination is letting the low-priority tasks get in the way of
high-priority ones. It's socializing with colleagues when you know that
important work project is due soon, watching TV instead of doing your
household chores, or talking about superficial things with your partner
rather than discussing your relationship concerns.

We all seem to do fine with things we want to do or enjoy doing for fun.
But, when we perceive tasks as difficult, inconvenient, or scary, we may
shift into our procrastination mode. We have very clever ways of fooling
ourselves. See how many of the following excuses hit home for you:

        o I'll wait until I'm in the mood to do it.
        o It's OK to celebrate ... besides, I'll start my diet (sobriety)
          tomorrow.
        o My health problem isn't that bad. Time will heal this pain.
        o There's plenty of time to get it done.
        o Why does the boss give us so much to do? It's not fair.
        o It's too hard to talk about. I don't know where to begin.
        o I work better under pressure so I don't need to do it right now.
        o I've got too many other things to do first.

Once exposed, these self-defeating statements don't sound so convincing.
But, when we privately tell ourselves these excuses, they seem quite
believable. Don't be fooled by how innocent they sound. They get us to
postpone important tasks and duties.

CAUSES

Procrastination is a bad habit. Like other habits, there are two general
causes. The first is the "crooked thinking" we employ to justify our
behavior. The second source is our behavioral patterns.

A closer look at our crooked thinking reveals three major issues in delaying
tactics - perfectionism, inadequacy, and discomfort. Those who believe they
must turn in the most exemplary report may wait until all available
resources have been reviewed or endlessly rewrite draft after draft. Worry
over producing the perfect project prevents them from finishing on time.
Feelings of inadequacy can also cause delays. Those who "know for a fact"
that they are incompetent often believe they will fail and will avoid the
unpleasantness of having their skills put to the test. Fear of discomfort is
another way of putting a stop to what needs to be done. Yet, the more we
delay, the worse the discomforting problem (like a toothache) becomes.

Our behavioral patterns are the second cause. Getting started on an
unpleasant or difficult task may seem impossible. Procrastination is likened
to the physics concept of inertia - a mass at rest tends to stay at rest.
Greater forces are required to start change than to sustain change. Another
way of viewing it is that avoiding tasks reinforces procrastination which
makes it harder to get things going. A person may be stuck, too, not by the
lack of desire, but by not knowing what to do. Here are some things to break
the habit. Remember, don't just read them, do them!

REMEDIES

1. Rational Self-Talk. Those old excuses really don't hold up to rational
inspection. The "two-column technique" will help. Write down all your
excuses on one side of a piece of paper. Start challenging the faulty
reasoning behind each of the excuses. Write down your realistic thoughts on
the opposite side of each excuse. Here are two examples of excuces and
realistic thoughts.

EXCUSE: I'm not in the mood right now. REALISTIC THOUGHT: Mood doesn't do my
work, actions do. If I wait for the right mood, I may never get it done.
EXCUSE::I'm just lazy. REALISTIC THOUGHT: Labeling myself as lazy only
brings me down. My work is really separate from who I am as a person.
Getting started is the key to finishing.

2. Positive Self-Statements. Incorporate a list of self-motivating
statements into your repertoire of thoughts. Consider ...

             + "There's no time like the present."
             + "The sooner I get done, the sooner I can play."
             + "There's no such thing as perfectionism. It's an illusion
               that keeps me from
             + doing what I have to do right now."
             + "It's cheaper and less painful if I do it now rather than
               wait until it gets worse."

3. Don't Catastrophe. Jumping to the conclusion that you will fail or that
you are no good at something will only create a wall of fear that will stop
you cold. Recognize that your negative predictions are not facts. Focus on
the present and what positive steps you can take toward reaching your goals.

4. Design Clear Goals. Think about what you want and what needs to be done.
Be specific. If it's getting that work project completed by the deadline,
figure out a time table with realistic goals at each step. Keep your sights
within reason. Having goals too big can scare you away from starting.

5. Set Priorities. Write down all the things that need to be done in order
of their importance. The greater the importance or urgency, the higher their
priority. Put "messing around" (distractions) in its proper place - last!
Start at the top of the list and work your way down.

6. Partialize the Tasks. Big projects feel overwhelming. Break them down
into the smallest and most manageable subparts. You'll get more done if you
can do it piece by piece. For example, make an outline for a written report
before you start composing or do a small portion of the chores rather than
all at once. Partializing works especially well with the unpleasant jobs.
Most of us can handle duties we dislike as long as they're for a short time
and in small increments.

7. Get Organized. Have all your materials ready before you begin a task. Use
a daily schedule and have it with you all the time. List the tasks of the
day or week realistically. Check off the tasks when you have completed them.

8. Take a Stand. Commit yourself to doing the task. Write yourself a
"contract" and sign it. Better still, tell a friend, partner, or supervisor
about your plans.

9. Use Prompts. Write reminders to yourself and put them in conspicuous
places like on the TV, refrigerator, bathroom mirror, front door, and car
dashboard. The more we remember, the greater the likelihood we'll follow
through with our plans.

10. Reward Yourself. Self-reinforcement has a powerful effect on developing
a "do it now" attitude. Celebrate, pat yourself on the back, smile, and let
yourself enjoy the completion of even the smallest of tasks. Don't minimize
your accomplishments. Remember, you're already that much closer to finishing
those things that need to be done. Go ahead, get started ... NOW!

___________________________________________________________________________________

This information was written by Kent T. Yamauchi, Ph.D.

Reproduced from: Innovations in Clinical Practice:

A Source Book (Vol. 6) by P.A. Keller and S. R. Heyman

(Eds.), Sarasota, FL: Professional Resource Exchange, Inc.

Copyright 1987 by the Professional Resource Exchange, Inc.,

PO. Box 15560, Sarasota, FL 34277-1560.

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

PROOFREADING

Proofreading is not an innate ability; it is an acquired skill. The
following exercises will help you master it, or at any rate will impress you
with how difficult it is.

Hints for successful proofreading:

        o Cultivate a healthy sense of doubt. If there are types of errors
          you k now you tend to make, double- check for those.
        o Read very slowly. If possible, read out loud. Read one word at a
          time.
        o Read what is actually on the page, not what you think is there.
          (This is the most difficult sub-skill to acquire, particularly if
          you wrote what you are reading).
        o Proofread more than once. If possible, work with someone else.

Most errors in written work are made unconsciously. There are two sources of
unconscious error:

       1. Faculty information from the kinesthetic memory. If you have
          always misspelled a word like accommodate", you will unthinkingly
          misspell it again.
       2. A split second of inattention. The mind works far faster than the
          pen or typewriter.

It is the unconscious nature of the worst that makes proofreading so
difficult. The student who turned in a paper saying, "I like girdle cakes
for breakfast" did not have a perverted digestion. He thought he had written
"griddle cakes" and because that's what he was sure he had written, that's
what he "saw" when he proofread. If he had slowed down and read word by
word, out loud, he might have caught the error. You have to doubt every word
in order to catch every mistake.

Another reason for deliberately slowing down is that when you read normally,
you often see only the shells of words -- the first and last few letters,
perhaps. You "fix your eyes" on the print only three or four times per line,
or less. You take in the words between your fixation points with your
peripheral vision, which gets less accurate the farther it is from the
point. The average reader can only take in six letters accurately with one
fixation. This means you have to fix your eyes on almost every word you have
written and do it twice in longer words, in order to proofread accurately.
You have to look at the word, not slide over it.

In proofreading, you can take nothing for granted, because unconscious
mistakes are so easy to make. It helps to read out loud, because 1) you are
forced to slow down and 2) you hear what you are reading as well as seeing
it, so you are using two senses. It is often possible to hear a mistake,
such as an omitted or repeated word that you have not seen.

Professional editors proofread as many as ten times. Publishing houses hire
teams of readers to work in pairs, out loud. And still errors occur.

Remember that it is twice as hard to detect mistakes in your own work as in
someone else's!

REPRODUCED BY PERMISSION FROM SSL, UNIVERSITY OF MARYLAND

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

SUGGESTIONS FOR IMPROVING READING SPEED

Improvement of Reading Rate

It is safe to say that almost anyone can double his speed of reading while
maintaining equal or even higher comprehension. In other words, anyone can
improve the speed with which he gets what he wants from his reading.

The average college student reads between 250 and 350 words per minute on
fiction and non-technical materials. A "good" reading speed is around 500 to
700 words per minute, but some people can read a thousand words per minute
or even faster on these materials. What makes the difference? There are
three main factors involved in improving reading speed: (1) the desire to
improve, (2) the willingness to try new techniques and (3) the motivation to
practice.

Learning to read rapidly and well presupposes that you have the necessary
vocabulary and comprehension skills. When you have advanced on the reading
comprehension materials to a level at which you can understand college-level
materials, you will be ready to speed reading practice in earnest.

The Role of Speed in the Reading Process

Understanding the role of speed in the reading process is essential.
Research has shown a close relation between speed and understanding. For
example, in checking progress charts of thousands of individuals taking
reading training, it has been found in most cases that an increase in rate
has been paralleled by an increase in comprehension, and that where rate has
gone down, comprehension has also decreased. Although there is at present
little statistical evidence, it seems that plodding word-by-word analyzation
(or word reading) inhibits understanding. There is some reason to believe
that the factors producing slow reading are also involved in lowered
comprehension. Most adults are able to increase their rate of reading
considerably and rather quickly without lowering comprehension. These same
individuals seldom show an increase in comprehension when they reduce their
rate. In other cases, comprehension is actually better at higher rates of
speed. Such results, of course, are heavily dependent upon the method used
to gain the increased rate. Simply reading more rapidly without actual
improvement in basic reading habits usually results in lowered
comprehension.

Factors that Reduce Reading Rate

Some of the facts which reduce reading rate: (a) limited perceptual span
i.e., word-by-word reading; (b) slow perceptual reaction time, i.e.,
slowness of recognition and response to the material; (c) vocalization,
including the need to vocalize in order to achieve comprehension; (d) faulty
eye movements, including inaccuracy in placement of the page, in return
sweep, in rhythm and regularity of movement, etc.; (e) regression, both
habitual and as associated with habits of concentration; (f) faulty habits
of attention and concentration, beginning with simple inattention during the
reading act and faulty processes of retention; (g) lack of practice in
reading, due simply to the fact that the person has read very little and has
limited reading interests so that very little reading is practiced in the
daily or weekly schedule; (h) fear of losing comprehension, causing the
person to suppress his rate deliberately in the firm belief that
comprehension is improved if he spends more time on the individual words;
(i) habitual slow reading, in which the person cannot read faster because he
has always read slowly, (j) poor evaluation of which aspects are important
and which are unimportant; and (k) the effort to remember everything rather
than to remember selectively.

Since these conditions act also to reduce comprehension increasing the
reading rate through eliminating them is likely to result in increased
comprehension as well. This is an entirely different matter from simply
speeding up the rate of reading without reference to the conditions
responsible for the slow rate. In fact, simply speeding the rate especially
through forced acceleration, may actually result, and often does, in making
the real reading problem more severe. In addition, forced acceleration may
even destroy confidence in ability to read. The obvious solution, then is to
increase rate as a part of a total improvement of the whole reading process.
This is a function of special training programs in reading.

Basic Conditions for Increased Reading Rate

A well planned program prepares for maximum increase in rate by establishing
the necessary conditions. Four basic conditions include:

       1. Have your eyes checked. Before embarking on a speed reading
          program, make sure that any correctable eye defects you may have
          are taken care of by checking with your eye doctor. Often, very
          slow reading is related to uncorrected eye defects.
       2. Eliminate the habit of pronouncing words as you read. If you sound
          out words in your throat or whisper them, you can read slightly
          only as fast as you can read aloud. You should be able to read
          most materials at least two or three times faster silently than
          orally. If you are aware of sounding or "hearing" words as you
          read, try to concentrate on key words and meaningful ideas as you
          force yourself to read faster.
       3. Avoid regressing (rereading). The average student reading at 250
          words per minute regresses or rereads about 20 times per page.
          Rereading words and phrases is a habit which will slow your
          reading speed down to a snail's pace. Usually, it is unnecessary
          to reread words, for the ideas you want are explained and
          elaborated more fully in later contexts. Furthermore, the slowest
          reader usually regresses most frequently. Because he reads slowly,
          his mind has time to wander and his rereading reflects both his
          inability to concentrate and his lack of confidence in his
          comprehension skills.
       4. Develop a wider eye-span. This will help you read more than one
          word at a glance. Since written material is less meaningful if
          read word by word, this will help you learn to read by phrases or
          thought units.

Rate Adjustment

Poor results are inevitable if the reader attempts to use the same rate
indiscriminately for a-1 types of material and for all reading purposes. He
must learn to adjust his rate to his purpose in reading and to the
difficulty of the material he is reading. This ranges from a maximum rate on
easy, familiar, interesting material or in reading to gather information on
a particular point, to minimal rate on material which is unfamiliar in
content and language structure or which must be thoroughly digested. The
effective reader adjusts his rate; the ineffective reader uses the same rate
for all types of material.

Rate adjustment may be overall adjustment to the article as a whole, or
internal adjustment within the article. Overall adjustment establishes the
basic rate at which the total article is read; internal adjustment involves
the necessary variations in rate for each varied part of the material. As an
analogy, you plan to take a 100-mile mountain trip. Since this will be a
relatively hard drive with hills, curves, and a mountain pass, you decide to
take three hours for the total trip, averaging about 35 miles an hour. This
is your overall rate adjustment. However, in actual driving you may slow
down to no more than 15 miles per hour on some curves and hills, while
speeding up to 50 miles per hour or more on relatively straight and level
sections. This is your internal rate adjustment. There is no set rate,
therefore, which the good reader follows inflexibly in reading a particular
selection, even though he has set himself an overall rate for the total job.

Overall rate adjustment should be based on your reading plan, your reading
purpose, and the nature and difficulty of the material. The reading plan
itself should specify the general rate to be used. This is based on the
total "size up". It may be helpful to consider examples of how purpose can
act to help determine the rate to be used. To understand information, skim
or scan at a rapid rate. To determine value of material or to read for
enjoyment, read rapidly or slowly according to you feeling. To read
analytically, read at a moderate pace to permit interrelating ideas. The
nature and difficulty of the material requires an adjustment in rate in
conformity with your ability to handle that type of material. Obviously,
level of difficulty is highly relative to the particular reader. While
Einstein's theories may be extremely difficult to most laymen, they may be
very simple and clear to a professor of physics. Hence, the layman and the
physics professor must make a different rate adjustment in reading the same
material. Generally, difficult material will entail a slower rate; simpler
material will permit a faster rate.

Internal rate adjustment involves selecting differing rates for parts of a
given article. In general, decrease speed when you find the following (1)
unfamiliar terminology not clear in context. Try to understand it in context
at that point; otherwise, read on and return to it later; (2) difficult
sentence and paragraph structure; slow down enough to enable you to untangle
them and get accurate context for the passage; (3) unfamiliar or abstract
concepts. Look for applications or examples of you own as well as studying
those of the writer. Take enough time to get them clearly in mind; (4)
detailed, technical material. This includes complicated directions,
statements of difficult principles, materials on which you have scant
background; (5) material on which you want detailed retention. In general,
increase speed when you meet the following: (a) simple material with few
ideas which are new to you; move rapidly over the familiar ones; spend most
of your time on the unfamiliar ideas; (b) unnecessary examples and
illustrations. Since these are included to clarify ideas, move over them
rapidly when they are not needed; (c) detailed explanation and idea
elaboration which you do not need, (d) broad, generalized ideas and ideas
which are restatements of previous ones. These can be readily grasped, even
with scan techniques.

In keeping your reading attack flexible, adjust your rate sensitivity from
article to article. It is equally important to adjust you rate within a
given article. Practice these techniques until a flexible reading rate
becomes second nature to you.

Summary

In summary, evidence has been cited which seems to indicate a need for and
value of a rapid rate of reading, while at the same time indicating the
dangers of speed in reading, as such. We have attempted to point out the
relationship between rate of reading and extent of comprehension, as well as
the necessity for adjustment of reading rate, along with whole reading
attack, to the type of material and the purposes of the reader. Finally, the
factors which reduce rate were surveyed as a basis for pointing out that
increase in rate should come in conjunction with the elimination of these
retarding aspects of the reading process and as a part of an overall reading
training program where increase in rate is carefully prepared for in the
training sequence.

Adapted by permission of RSSL, University of Maryland.

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

SQ3R - A READING/STUDY SYSTEM

SURVEY - gather the information necessary to focus and formulate goals.

       1. Read the title - help your mind prepare to receive the subject at
          hand.
       2. Read the introduction and/or summary - orient yourself to how this
          chapter fits the author's purposes, and focus on the author's
          statement of most important points.
       3. Notice each boldface heading and subheading - organize your mind
          before you begin to read - build a structure for the thoughts and
          details to come.
       4. Notice any graphics - charts, maps, diagrams, etc. are there to
          make a point - don't miss them.
       5. Notice reading aids - italics, bold face print, chapter objective,
          end-of -chapter questions are all included to help you sort,
          comprehend, and remember.

QUESTION - help your mind engage and concentrate.

One section at a time, turn the boldface heading into as many questions as
you think will be answered in that section. The better the questions, the
better your comprehension is likely to be. You may always add further
questions as you proceed. When your mind is actively searching for answers
to questions it becomes engaged in learning.

READ - fill in the information around the mental structures you've been
building.

Read each section (one at a time) with your questions in mind. Look for the
answers, and notice if you need to make up some new questions.

RECITE - retain your mind to concentrate and learn as it reads.

After each section - stop, recall your questions, and see if you can answer
them from memory. If not, look back again (as often as necessary) but don't
go on to the next section until you can recite.

REVIEW - refine your mental organization and begin building memory.

Once you've finished the entire chapter using the preceding steps, go back
over all the questions from all the headings. See if you can still answer
them. If not, look back and refresh your memory, then continue.

REMEMBER: THE INFORMATION YOU GAIN FROM READING IS IMPORTANT. IF YOU JUST
"DO IT" WITHOUT LEARNING SOMETHING. YOU'RE WASTING A LOT OF TIME. TRAIN YOUR
MIND TO LEARN!!!

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

REMEMBERING

College students are confronted with two kinds or types of memory work. The
first and more common is general remembering or remembering the idea without
using the exact words of the book or professor. General memory is called for
in all subjects; however, the arts, social sciences and literature probably
make the greatest use of this particular kind of remembering.

The other type of memory work is the verbatim memorizing or remembering the
identical words by which something is expressed. This type of memorizing may
be called for in all subjects but especially in law, dramatics, science,
engineering, mathematics, and foreign language where the exact wording of
formulas, rules, norms, law, lines in a play, or vocabulary must be
remembered.

Other kinds of memory have their place and it is important for the student
to know when to stop with the general idea and when to fix in mind the exact
words, numbers, and symbols.

       1. Understand thoroughly what is to be remembered and memorized. When
          something is understood, be it a name or a chemical chain it is
          almost completely learned, for anything thoroughly understood is
          well on the way toward being memorized. In the very process of
          trying to understand, to get clearly in mind a complex series of
          events, or chain of reasoning, the best possible process of trying
          to fix in mind for later use is being followed.
       2. Spot what is to be memorized verbatim. It is a good plan to use a
          special marking symbol in text and notebook to indicate parts and
          passages, rules, data, and all other elements which need to be
          memorized instead of just understood and remembered.
       3. If verbatim memory is required, go over the material or try to
          repeat at odd times, as, for example, while going back and forth
          to school.
       4. Think about what you are trying to learn. Find an interest in the
          material if you wish to memorize it with ease.
       5. Study first the items you want to remember longest.
       6. Learn complete units at one time as that is the way it will have
          to be recalled.
       7. Overlearn to make certain.
       8. Analyze material and strive to intensify the impressions the
          material makes.
       9. Fix concrete imagery whenever possible. Close your eyes and get a
          picture of the explanation and summary answer. Try to see it on
          the page. See the key words underlined.
      10. Make you own applications, examples, illustrations.
      11. Reduce the material to be remembered to your own self-made system
          or series of numbered steps.
      12. Represent the idea graphically by use of pictorial or diagrammatic
          forms.
      13. Make a list of key words most useful in explaining the idea or
          content of the lesson.
      14. Form a variety of associations among the points you wish to
          remember. The richer the associations, the better memory.
      15. Try making the idea clear to a friend without referring to your
          book or notes.
      16. Actually write out examination questions on the material that you
          think you might get at the end of the term. Then write answers to
          your own questions. Since you now have the chance, consult the
          text or your notes to improve your answers.
      17. Follow suggestions for reviewing. This is an important part of
          remembering.

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

STUDY SKILL CHECKLIST

First make a print out of this document. Using your printout, read each
statement and consider how it applies to you. If it does apply to you, check
Y. If it does not apply to you, check N. The purpose of this inventory is to
find out about your own study habits and attitudes.

1. __Y __N I spend too much time studying for what I am learning.

2. __Y __N I usually spend hours cramming the night before an exam.

3. __Y __N If I spend as much time on my social activities as I want to, I
don't have enough time left to study, or when I study enough, I don't have
time for a social life.

4. __Y __N I usually try to study with the radio and TV turned on.

5. __Y __N I can't sit and study for long periods of time without becoming
tired or distracted.

6. __Y __N I go to class, but I usually doodle, daydream, or fall asleep.

7. __Y __N My class notes are sometimes difficult to understand later.

8. __Y __N I usually seem to get the wrong material into my class notes.

9. __Y __N I don't review my class notes periodically throughout the
semester in preparation for tests.

10. __Y __N When I get to the end of a chapter, I can't remember what I've
just read.

11. __Y __N I don't know how to pick out what is important in the text.

12. __Y __N I can't keep up with my reading assignments, and then I have to
cram the night before a test.

13. __Y __N I lose a lot of points on essay tests even when I know the
material well.

14. __Y __N I study enough for my test, but when I get there my mind goes
blank.

15. __Y __N I often study in a haphazard, disorganized way under the threat
of the next test.

16. __Y __N I often find myself getting lost in the details of reading and
have trouble identifying the main ideas.

17. __Y __N I rarely change my reading speed in response to the difficulty
level of the selection, or my familiarity with the content.

18. __Y __N I often wish that I could read faster.

19. __Y __N When my teachers assign papers I feel so overwhelmed that I
can't get started.

20. __Y __N I usually write my papers the night before they are due.

21. __Y __N I can't seem to organize my thoughts into a paper that makes
sense.

If you have answered "yes" to two or more questions in any category, look at
our Study Skills Self-help Information for those categories. If you have one
"yes" or less in a category, you are probably proficient enough in these
areas that you don't need Self-help Information. Feel free, however, to get
information in areas that you may have special interests, even if you scored
well.

        o Time Scheduling - 1, 2, and 3.
        o Concentration - 4, 5, and 6.
        o Listening & Note taking - 7, 8, and 9.
        o Reading - 10, 11, and 12.
        o Exams - 13, 14, and 15.
        o Reading - 16, 17, and 18.
        o Writing Skills -19, 20, and 21.

----------------------------------------------------------------------------
[Image]  UCC Home Page
[Image]

SKIMMING AND SCANNING SCIENTIFIC MATERIAL

Skimming involves searching for the main ideas by reading the first and last
paragraphs, noting other organizational cues, such as summaries, used by the
author.

Scanning involves running your eyes down the page looking for specific facts
or key words and phrases.

Skimming and scanning are particularly valuable techniques for studying
scientific textbooks. Science writers pack many facts and details closely
together, and students react by shifting their reading speeds to the lowest
gear and crawling through the material. Notwithstanding the fact that
science textbooks are usually well-organized, with main points and
sub-topics clearly delineated, the typical student ignores these clues and
plods through the chapter word-by-word, trying to cram it all in.

It is precisely these characteristics, organization and density of facts per
page, that make it so vital that you employ skimming scanning techniques. To
successfully master science test, you must understand thoroughly the major
ideas and concepts presented. Without such a conceptual framework, you will
find yourself faced with the impossible task of trying to cram hundreds of
isolated facts into your memory. thus, a preliminary skimming for the main
ideas by using the author's organization cues (Topic headings, italics,
summaries, etc.) is a vital preliminary step to more intensive reading and
maximum retentions. It will provide a logical framework in which to fit the
details.

Similarly, scanning skills are valuable for several purposes in studying
science. First, they are an aid in locating new terms, which are introduced
in the chapter. Unless you understand the new terms, it is impossible to
follow the author's reasoning without dictionary or glossary. Thus a
preliminary scanning of the chapters will alert you to the new terms and
concepts and their sequence. when you locate a new term, try to find its
definition. If you are not able to figure out the meaning, then look it up
in the glossary or dictionary. (Note: usually new terms are defined as they
are introduced in science texts. If your text does not have a glossary, it
is a good idea to keep a glossary of your own in the front page of the book.
Record the terms and their definition or the page number where the
definition is located. This is an excellent aid to refer to when you are
reviewing for an examination, as it provides a convenient outline of the
course).

Secondly, scanning is useful in locating statements, definitions, formulas,
etc. which you must remember completely and precisely. Scan to find the
exact and complete statement of a chemical law., the formula of a particular
compound in chemistry, or the stages of cell division. Also, scan the charts
and figures, for they usually summarize in graphic form the major ideas and
facts of the chapter.

If you practice these skimming and scanning techniques prior to reading a
science chapter, you will find that not only will your intensive reading
take much less time, but that your retention of the important course details
will greatly improve.

Reproduced by permission from RSSL, University of Maryland

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

STRESS MANAGEMENT:TEN SELF-CARE TECHNIQUES

Many people don't realize it, but stress is a very natural and important
part of life. Without stress there would be no life at all! We need stress
(eustress), but not too much stress for too long (distress). Our body is
designed to react to both types of stress. Eustress helps keep us alert,
motivates us to face challenges, and drives us to solve problems. These low
levels of stress are manageable and can be thought of as necessary and
normal stimulation.

Distress, on the other hand, results when our bodies over-react to events.
It leads to what has been called a "fight or flight" reaction. Such
reactions may have been useful in times long ago when our ancestors were
frequently faced with life or death matters. Nowadays, such occurrences are
not usual. Yet, we react to many daily situations as if they were life or
death issues. Our bodies really don't know the difference between a
saber-toothed tiger and an employer correcting our work. It is how we
perceive and interpret the events of life that dictates how our bodies
react. If we think something is very scary or worrisome, our bodies react
accordingly.

When we view something as manageable, though, our body doesn't go haywire;
it remains alert, but not alarmed. The activation of our sympathetic nervous
system (a very important part of our general nervous system) mobilizes us
for quick action. The more we sense danger (social or physical), the more
our body reacts. Have you ever been called upon to give an extemporaneous
talk and found that your heart pounded so loudly and your mouth was so dry
that you thought you just couldn't do it? That's over-reaction.

Problems can occur when overactivation of the sympathetic system is
unnecessary. If we react too strongly or let the small over-reactions (the
daily hassles) pile up, we may run into physical, as well as psychological,
problems. Gastrointestinal problems (e.g., diarrhea or nausea), depression,
or severe headaches can come about from acute distress. Insomnia, heart
disease, and distress habits (e.g., drinking, overeating, smoking, and using
drugs) can result from the accumulation of small distress.

What we all need is to learn approach matters in more realistic and
reasonable ways. Strong reactions are better reserved for serious
situations. Manageable reactions are better for the everyday issues that we
all have to face.

----------------------------------------------------------------------------

ARE YOU A REACTOR OR AN OVER- REACTOR?

Below are situations that cause stress in some and distress in others.
Imagine yourself in each one right now. How are you reacting?

             + Driving your car in rush hour
             + Getting a last minute work assignment
             + Misplacing something in the house
             + Having something break while using it
             + Dealing with incompetence at work
             + Planning your budget
             + Being blamed for something
             + Waiting in a long line at the grocery store or bank

----------------------------------------------------------------------------

SOME HEALTHFUL HINTS

Basically, we need to modify our over-reactions to situations. Rather than
seeing situations as psychologically or physically threatening and thereby
activating our sympathetic nervous system, our parasympathetic nervous
system (that part which helps lower physiological arousal) needs to be
called into play. The following suggestions are designed to reduce distress.
Try them. They work!

        o Learn to Relax. Throughout the day, take "minibreaks." Sit-down
          and get comfortable, slowly take a deep breath in, hold it, and
          then exhale very slowly. At the same time, let your shoulder
          muscles droop, smile, and say something positive like, "I am
          r-e-l-a-x-e-d." Be sure to get sufficient rest at night.
        o Practice Acceptance. Many people get distressed over things they
          won't let themselves accept. Often these are things that can't be
          changed, like someone else's feelings or beliefs. If something
          unjust bothers you, that is different. If you act in a responsible
          way, the chances are you will manage stress effectively.
        o Talk Rationally to Yourself. Ask yourself what real impact the
          stressful situation will have on you in a day or a week and see if
          you can let the negative thoughts go. think through whether the
          situation is your problem or the other's. If it is yours, approach
          it calmly and firmly; if it is the other's, there is not much you
          can do about it. Rather than condemn yourself with hindsight
          thinking like, "I should have ...," think about what you can learn
          from the error and plan for the future. Watch out for
          perfectionism - set realistic and attainable goals. Remember,
          everyone makes errors. Be careful of procrastination - breaking
          tasks into smaller units will help and prioritizing will help get
          things done.
        o Get Organized. Develop a realistic schedule of daily activities
          that includes time for work, sleep, relationships, and recreation.
          Use a daily "thing to do" list. Improve your physical surroundings
          by cleaning your house and straightening up your office. Use your
          time and energy as efficiently as possible.
        o Exercise. Physical activity has always provided relief form
          stress. in the past, daily work was largely physical. now that
          physical exertion is no longer a requirement for earning a living,
          we don't get rid of stress so easily while working. It accumulates
          very quickly. We need to develop a regular exercise program to
          help reduce the effects of working. It accumulates very quickly.
          We need to develop a regular exercise program to help reduce the
          effects of stress before it becomes distress. Try aerobics,
          walking, jogging, dancing, swimming, and the like.
        o Reduce Time Urgency. If you frequently check your watch or worry
          about what you do with your time, learn to take things a bit
          slower. Allow plenty of time to get things done. Plan your
          schedule ahead of time. Recognize that you can only do so much in
          a given period. Practice the notion of "pace, not race."
        o Disarm Yourself. Every situation in life does not require you to
          be competitive. Adjust your approach to an event according to its
          demands. You don't have to raise your voice in a simple
          discussion. Playing tennis with a friend doesn't have to be an
          Olympic trial. Leave behind you "weapons" of shutting, have the
          last worked, putting someone else down, and blaming.
        o Quiet Time. Balance your family, social, and work demands with
          special private times. Hobbies are good antidotes for daily
          pressures. Unwind by taking a quiet stroll, soaking in a hot bath,
          watching a sunset, or listening to calming music.
        o Watch Your Habits. Eat sensibly - a balanced diet will provide all
          the necessary energy you will need during the day. Avoid
          nonprescription drugs and minimize your alcohol use - you need to
          be mentally and physically alert to deal with stress. Be mindful
          of the effects of excessive caffeine and sugar on nervousness. Put
          out the cigarettes - they restrict blood circulation and affect
          the stress response.
        o Talk to Friends. Friends can be good medicine. Daily doses of
          conversation, regular social engagements, and occasional sharing
          of deep feelings and thoughts can reduce stress quite nicely.

----------------------------------------------------------------------------

FOR MORE INFORMATION

You can learn more about managing stress through books and audio cassette
tapes available at public libraries and bookstores. Among the more popular
books are Stress Without Distress by Dr. Hans Selye, Mind As Healer, Mind As
Slayer by Dr. Kenneth Pelletier, and Relaxation Response by Dr. Herbert
Benson. A useful cassette tape is A Six Second Technique to Control Stress
by Dr. Charles Stroebel.

For an individualized stress management program, you may wish to consult a
health care professional specializing in health promotion. For a referral,
contact the local office of your state's psychological association, or the
department of psychology at a nearby college of university.

This handout was prepared by Kent T. Yamauchi, Ph.D. Reproduced from:
Innovations in clinical Practice: A Source Book, Volume 5, P.A.. Keller & L.
G. Ritt (Eds.). Copyright 1986, Professional Resource Exchange, Inc., PO Box
15560, Sarasota, FL 34277- 1560.

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

STUDY DISTRACTIONS ANALYSIS

Concentration is the number one problem for many students. Frequently, the
problem is one of finding a place to study where there are no external
distractions. External distractions are those that originate outside the
body. Telephone calls, visitors, and noises are examples. Concentration may
be difficult when there are too many such distractions present. This
checklist will help you analyze distractions in the places you study.

----------------------------------------------------------------------------

List the three places where you usually study in the order you use them
most:

A _______________________

B _______________________

C _______________________

Now record your total of true (T) and false (F) responses to the statements
below for EACH of the three places you usually study.

  1. Other people often interrupt me when I study here.
  2. Much of what I can see here reminds me of things that don't have
     anything to do with studying.
  3. I can often hear radio or TV when I study here.
  4. I can often hear the phone ringing when I study here.
  5. I think I take too many breaks when I study here.
  6. I seem to be especially bothered by distractions here.
  7. I usually don't study here at regular times each week.
  8. My breaks tend to be too long when I study here.
  9. I tend to start conversations with people when I study here.
 10. I spend time on the phone here that I should be using for study.
 11. There are many things here that don't have anything to do with study or
     school work.
 12. Temperature conditions here are not very good for studying.
 13. The chair, table, and lighting arrangements here are not very helpful
     for studying.
 14. When I study here I am often distracted by certain individuals.
 15. I don't enjoy studying here.

The location which has the most "false" responses may be the least
distracting place to study. Try to plan your day so that you do as much of
your work as you can there.

Developed by Division of Counseling & Testing, University of Wyoming.

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

STRATEGIES TO USE WITH QUESTIONS YOU CANNOT ANSWER IMMEDIATELY

A. Translate the questions into your own words.

B. Read each option carefully.

C. Use a strategy.

Attack unfamiliar words by sounding them out, by breaking them into familiar
parts with meanings you know, by looking at the surrounding words and
sentences for clues to the meaning of the word.

Use your general knowledge. Ask yourself, "What do I already know about
____________"?

Anticipate the answer and look for the one most like what you expect. Be
flexible. You may not always find exactly the choice you are looking for.
Then, you must choose the best of the options available.

Use logical reasoning. For each possible answer, ask yourself, "What would
happen if . . . "?

Use process of elimination with multiple choice questions for which more
than one option is correct.

        o Pick out the options you are sure are correct.
        o Pick out the options you are sure are incorrect.
        o Rule out all answers which contain wrong options.
        o Rule out all answers which omit options you are sure of.
        o Select the best remaining answer.

Look for Test-Wiseness cues if the other strategies don't work.

If you guess at an answer, check your guess against what you already know
and against what your logical reasoning tells you.

Adapted from Kentucky State University Reading Lab

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

SURVEY READING TECHNIQUES

1. Preliminary structuring. Discovering, before reading thoroughly, the main
parts into which the material is organized, and the most important ideas. It
involves thinking or writing out a complete sentence which expresses the
basic idea of the chapter and indicates how you expect this idea will relate
to the main points.

2. Establishing a purpose. Decide what you want to get out of the material
and how thoroughly you need to understand it. Are you reading merely for a
general idea or are you reading for details? Are you reading for a test, for
business requirements or for pleasure?

By carefully defining your purpose, you can set your reading strategy to
accomplish this purpose. If you are reading for details, your reading speed
will be slower than if reading for just a general idea or for pleasure.
However, if you are reading only to get some idea of the theme and the main
points, then the Survey Reading alone may be sufficient.

3. Estimating Difficulty and Time. Consider the total amount of time which
you have available and estimate the difficulty of the material. Decide how
you will budget your time, if you play to go beyond the Survey Reading. a
realistic time estimate, in accordance with your purpose and the material's
difficulty, will help you set up an effective schedule and give you greater
control over your reading.

4. Questioning. Now that you know something about the book or chapter, what
don't you know? Should you go on reading? If so, what do you expect to learn
from a thorough reading? How did the author get from his introduction to his
conclusion? What are the stepping stones along the way? Are they logically
connected? What is the author's purpose? Does this information add to or
contradict what you already know about this subject? Questions can be
specific and fact-finding or broad and searching.

Questions aid concentration by stimulating curiosity. The satisfaction of
finding answers strengthens retention. Questions make a passive reader into
an active one. Through questioning, you can establish a dialogue with the
author, a conversation which will increase your enjoyment.

Questions will occur during and after reading, but start them early, during
Survey Reading.

Taken from "Seven Reading Strategies," Baldridge Reading and Study Skills,
Inc. May 1974.

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

TIME SCHEDULING SUGGESTIONS

Time scheduling will not make you a perfectly efficient person. Very few
people can rigorously keep a detailed schedule day after day over a long
period of time. In fact, many students who draw up a study schedule and find
themselves unable to stick to it become impatient and often give up the
scheduling idea completely.

The following method of organizing time has been helpful to many students
and does not take much time. It is more flexible than many methods and helps
the student to establish long term, intermediate, and short term time goals.

1. Long Term Schedule

Construct a schedule of your fixed commitments only. These include only
obligations you are required to meet every week, e.g., job hours, classes,
church, organization meetings, etc.

2. Intermediate Schedule - One per week

Now make a short list of MAJOR EVENTS and AMOUNT OF WORK to be accomplished
in each subject this week. This may include non-study activities. For
example:

             + Quiz Wednesday
             + Paper Tuesday
             + Ball game Tuesday night
             + Finish 40 pages in English by Friday
             + Finish 150 pages in History by Friday

These events will change from week to week and it is important to make a NEW
LIST FOR EACH WEEK. Sunday night may be the most convenient time to do this.

3. Short Term Schedule - One per day

On a small notecard each evening before retiring or early in the morning
make out a specific daily schedule. Write down specifically WHAT is to be
accomplished. Such a schedule might include:

Wednesday

        o 8:00 - 8:30 Review History
        o 9:30 - 10:30 Preview Math and prepare for Quiz
        o 4:45 Pick up cleaning on way home
        o 7:00 - 10:15 Chpt. 5, 6 (History)
        o 10:30 Phone calls

CARRY THIS CARD WITH YOU and cross out each item as you accomplish it.
Writing down things in this manner not only forces you to plan your time but
in effect causes you to make a promise to yourself to do what you have
written down.

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

VOCABULARY: an on going process

How do I begin to increase my vocabulary?

Vocabulary is an on going process. It continues throughout your life. what
you have done is to slow your effective method of learning vocabulary down
to a snail's pace. When you were younger you learned something day in and
day out. You kept squeezing every moment of the day into a new and different
learning situation. You continually asked questions and drove yourself to
learn more. Look at the following examples:

        o at the age of 4 you probably knew 5,600 words
        o at the age of 5 you probably knew 9,600 words
        o at the age of 6 you probably knew 14,700 words
        o at the age of 7 you probably knew 21,200 words
        o at the age of 8 you probably knew 26,300 words
        o at the age of 9 you probably knew 29,300 words
        o at the age of 10 you probably knew 34,300 words
        o college sophomore you probably knew 120,000 words

What this tells you is the more you learn, the more vocabulary you will
know. No matter what your age, you must continue to learn. Words are
"symbols" for ideas. These ideas formulate knowledge and knowledge is gained
largely through words.

----------------------------------------------------------------------------
Some suggestions which may help you:

        o Read. the more you read, the more words you will come in contact
          with.
        o Use new found vocabulary in your everyday communication (writing,
          speaking).
        o Become familiar with the glossary of your textbooks.
        o Become familiar with the dictionary. Understand the pronunciation
          keys as well as why there are multiple meanings for words.
        o Try to learn 5 new words a day. If you know these words - use them
          in your communication process. Without using these new words, it
          is a waste of your time.

Read. Read books from fields other than your major. Read books which
interest you and concentrate while you read.

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

WRITING PAPERS

Students too often put off a written assignment, considering it a chore too
formidable to approach until the last minute. As a result, grades inevitably
suffer. Writing is not a talent reserved for a select few, it is a skill
that can be learned. Planning and organization are its essentials. With a
knowledge of these, the student can through effort and practice improve his
writing ability. Suggested below is a guide to organized writing. Use this
outline in writing class assignments, essay tests, and term papers.

1. INTRODUCTION - OPENING PARAGRAPH

a. Begin with a general statement.

b. Narrow it down to the controlling idea (for thesis statement).

2. BODY - THREE DEVELOPING PARAGRAPHS

In each paragraph:

a. Use transitions (repetition of key words and ideas) to connect paragraphs
together.

b. Develop the topic sentence with details, definitions, illustrations,
comparisons, and contrasts.

c. Conclude the paragraph with a summary of the main idea.

3. CONCLUSION - FINISHING PARAGRAPH

a. Restate the thesis.

b. End with a general statement finalizing the discussion.

----------------------------------------------------------------------------
[Image]  UCC Home Page

Return to Study Skills Self-help Information
[Image]

PROCEDURE FOR WRITING A TERM PAPER

Alton L. Raygor

University of Minnesota

A term (or research)paper is primarily a record of intelligent reading in
several sources on a particular subject. The task of writing such is not as
formidable as it seems if it is thought out in advance as a definite
procedure with systematic perpetration.

The procedure for writing such a report consists of the following steps:

            1. Choosing a subject
            2. Finding sources of materials
            3. Gathering the notes
            4. Outlining the paper
            5. Writing the first draft
            6. Editing the paper

Now let's look at each of them.

----------------------------------------------------------------------------

CHOOSING A SUBJECT

Most good papers are built around questions. You can find subjects in any
textbook. Simply take some part of the text that interest you and examine it
carefully. Ask yourself the following things about it to see if you can
locate a question to answer in your paper. Does it tell you all you might
wish to learn about the subject? Are you sure it is accurate? Does the
author make any assumptions that need examining? Can two of the more
interesting sections in the text be shown to be interrelated in some useful
way? Your paper is an attempt to write a well-organized answer to whatever
question you decide upon, using facts for the purpose of proving (or at
least supporting) your contention.

The most common error made by students in choosing a subject for a term
paper is to choose one that is too general. (The most specific subject will
always have enough aspects to furnish a long paper, if you think about it
for a while.)

----------------------------------------------------------------------------

FINDING SOURCES OF MATERIALS

A. Limitations. Tradition suggests that you limit your sources to those
available on the campus and to those materials which are not more than 20
years old, unless the nature of the paper is such that you are examining
older writings from a historical point of view.

B. Guides to sources.

1) Begin by making a list of subject-headings under which you might expect
the subject to be listed.

2) Start a card file using the following forms.

a) Book and magazine article:

                  + i. Subject
                  + ii. Author
                  + iii. Title
                  + iv. Facts of publication
                  + v. Library call number

b) News story:

                  + i. Subject
                  + ii. Facts of publication
                  + iii. Headline

c) Periodicals:

                  + i. Author
                  + ii. Title
                  + iii. Name of periodical
                  + iv. Volume and page number
                  + v. Month and year.

Sort these cards into (a) books and (b) each volume of periodicals. Then
look up call numbers other periodicals and sort out those for each branch
library. This sorting save library time.

C. Consult the card catalog in the library to locate books - record author,
title, publisher, date of publication and call number.

D. Consult guides to periodicals, such as:

             + Education Index
             + Readers Guide
             + International Index to Periodicals
             + Psychological Abstracts

These are aids to finding articles on any subject. They list subject
heading, with various titles of articles under them, together with the
location of each article.

----------------------------------------------------------------------------

GATHERING THE NOTES

A. Examine the books and articles - several volumes at a time will save
steps.

Skim through your sources, locating the useful material, then make good
notes of it, including quotes and information for footnotes. You do not want
to have to go back to these sources again. Make these notes on separate
cards for each author - identifying them by author.

B. Take care in note-taking; be accurate and honest. Be sure that you do not
distort the author's meanings. Remember that you do not want to collect only
those things that will support your thesis, ignoring other facts or
opinions. The reader wants to know other sides of the question.

C. Get the right kind of material:

  1. Get facts, not just opinions. Compare the facts with author's
     conclusion.
  2. In research studies, notice the methods and procedures, and do not be
     afraid to criticize them. If the information is not quantitative, in a
     study, point out the need for objective, quantified, well-controlled
     research.

----------------------------------------------------------------------------

OUTLINING THE PAPER

A. Do not hurry into writing. Think over again what your subject and purpose
are, and what kind of material you have found.

B. Review notes to find main sub-divisions of your subject. Sort the cards
into natural groups then try to name each group. Use these names for main
divisions in your outline. For example, you may be writing a paper about the
Voice of America and you have the following subject headings on your cards.

  1. Propaganda - American (History)
  2. Voice of America - funds appropriated
  3. Voice of America - expenditures
  4. Voice of America - cost compared with Soviet propaganda

The above cards could be sorted into six piles easily, furnishing the
following headings:

       1. History (Card 1)
       2. Purpose (Card 5)
       3. Organization (Cards 6, 7)
       4. Cost (Cards 2, 3, 4, 9)
       5. Effects (Card 8)
       6. Future (Card 10)

You will have more cards than in the example above, and at this point you
can possibly narrow down you subject further by taking out one of the piles
of cards.

C. Sort the cards again under each main division to find sub-sections for
your outline.

D. By this time it should begin to look more coherent and to take on a
definite structure. If it does not, try going back and sorting again for
main divisions, to see if another general pattern is possible.

E. You may want to indicate the parts of your outline in traditional form as
follows:

1. Example

a) Example

             + i. Example
                  + i.) Example

2. Example

3. Example

a) Example

Use these designations only in the outline and not in the paper itself, or
it will look more like an extended outline that a paper.

----------------------------------------------------------------------------

WRITING THE FIRST DRAFT

You are now ready to write.

A. Write the paper around the outline, being sure that you indicate in the
first part of the paper what its purpose is. Follow the old formula:

1. Tell the reader what you are going to say (statement of purpose)

2. Say it (main body of the paper)

3. Tell the reader what you've said (statement of summary and conclusion)

B. A word about composition:

1. Traditionally, any headings or sub-headings included are nouns, not verbs
