Copyright 1995 Steve Murray, under the GNU public license.

COMBINATORIAL PSYCHOLOGY

Introduction

FORMAT

The Hypnomap program comes with a set of instructions in these manual
pages, but they are by no means intended to be a complete guide to
using the program or to the bigger picture I have tried to present.
The accompanying mind map 'Combinatorial Psychology' is a computer 
mind map created with the excellent 'Info Map Lite' shareware mind-mapping
program. It represents a ?complete? 'It all makes perfect sense'* 
'prior-knowledgism'*  'cheat-sheet'* for everything I, the author think.
It is only through having this 'cheat-sheet' for life that I have been
able to understand what is going on when using hypnosis, in the world
in general and without it my knowledge of computer hypnosis would likely
have been inadequate to allow me to use it effectively myself, never mind
being able to tell other people how to do it. 'Combinatorial Psychology'
is itself GNU freeware, you may distribute and update it according to
the GNU public license enclosed. My interpretation of what this means is
that you can do anything except copyright the mind-map, but you must allow
other people the same rights if you then pass on your altered version.

INSIDE INFORMATION

'prior knowledgism'* is a principle that I realised in my computing science
teaching work, [ teaching pascal programming to graduate students taking
a conversion course in information technology.] We would ask them to write
pascal programs to do specific tasks, e.g. draw a histogram of rainfall data,
and these programs would then be handed in and assessed. My job was as
a 'demonstrator', i.e, someone who would help the students out when their
programs didnt work, when they needed advice and as a general Mr fix it
to keep the machines going and make sure that they were able to learn
the work. I have become very good at doing this, and in the process I realised
why - every time I have been showing someone how to write their program I
have always had the solution handy, either because I have been given it
or because I have already done the exercise myself. 

PRACTICE WHAT YOU PREACH?
Having this 'cheat-sheet' has meant that I have spontaneously been able to 
see faults in people's programs, where they have been going wrong, whether 
their code is deviating in subtle ways from what the model answer is, 
whether there are better  ways to do what they have done, syntax problems 
and issues of good style. I've become so good at it that I assumed it was 
just an ability I had learned. However, when I tried to write a program 
myself which I had not already done and did not have a cheat-sheet for I 
found it very hard. Not only did I break all the rules I had been teaching 
to others for so long, I wasnt able to finish the program because I couldnt 
see where it was going wrong. I didnt have a working model to measure it 
against, and I failed to finish it . The point of all this is this-  
had I had a 'cheat-sheet' for it I would have been  able to 
improve, modify, see higher-level possibilities and different ways of 
doing it and could probably have produced a far, far  better program . 

TWO DIFFERENT SKILLS - CRITICISM AND CREATIVITY
But without the basic knowledge of what it was I was trying
to produce, I failed dismally - most of my students would have done far
better. But if I had had a copy of a working model of my program I could
have made a far, far better one very quickly, and could have taught other
people how to do the same very effectively indeed.

REDUCTION TO COMPUTER HYPNOSIS

Now this applies to computer hypnosis as follows; most people have no
idea how it works, or even if it will work. They approach it as a novelty,
with ideas and fantasies as to what might be possible. They take a look
at it and dive in with both feet without reading the manual, or find that
there are limiting practical problems preventing them from being able to
use it as the manual says [e.g. speed of machine]. They find that what
it is really like is not like they thought, and that the reality is either
discouraging, disappointing or entails some other loss of social or 
intellectual 'quality'*. They then give up and conclude that computer hypnosis
is a nice idea but in practise it's not the panacea it was made out to be.
This is tragic IMO, because in the case of computer hypnosis it really IS
a ?magic wand? which can make a huge difference to many people. 

TWO SKILLS DIFFERENT SKILLS; TUNING and SLAYING THE DRAGON in the first place
In my honest opinion, the only way one can effectively use computer hypnosis
is by having a 'cheat-sheet' not for computing science, but for life. A
view of the world and life itself which 'All Makes Perfect Sense'*, in
the words of Roger Waters of Pink Floyd fame. A summary of everything
one thinks and knows about life to hand, so that when one approaches
computer hypnosis one knows exactly what one is doing, knows all the
ambushes, knows exactly what will happen, knows how suggestions work
and fit in with the rest of ones' mind  - one knows what to do with
all the other 'problems' which will prevent optimum health. One knows
what optimum health is, and what controls it. One knows of all the ambushes
which will conspire with the inevitability of Le Chatelier's principle
of 'equilibrium' against one's success. One has the 'Truth'*, with a  
capital 'T', about what one is doing. One has slain the dragon of
PSR-shifts*, ADCs* and paradigm shifts*. And then, and only then, can one
understand what to do with computer hypnosis. 

BREAKING THE BATS BEFORE THE GAME

For it is the equivalent
of the cue in a game of pool or snooker - while the token efforts offered
to people by e.g. doctors, educators, academics, scientists & politicians 
IMO represent the chalk, the rest or a comfortable chair to sit in during
the breaks in the game. It is a chicken and the egg problem - since without 
the calm insight and power of thought possible through optimum health
through hypnosis , it is very hard indeed to make the necessary PSR-shifts
to be able to achieve that optimum health with hypnosis. It is here that
one may need a boost to get started from a good therapist -there are
many good hypnotherapists and hypnoanalysts now who can do this by giving
one a post-hypnotic suggestion to give one a break from the ambushes while
one bootstraps one's own ability. I am not suggesting that computer hypnosis
should replace hypnotherapy; rather that good, experienced hypnotherapists
offer the equivalent of lessons from a champion pool or snooker player in
my analogy. And the first thing they'll do is give you a cue, and show
you how to use it properly. 

IF AT FIRST YOU DONT SUCCEED, CHEAT!

Coming back to the idea of a cheat-sheet,
I do not suggest that people should take my own cheat-sheet and use it
for themselves any more than I would suggest a computing science student
should code things exactly as I do with the same number of spaces on each
line or even the same style; but I would suggest to them that the core
principles I use are sound, that they work well and that they will ensure
success in their programming projects if they will but translate my information
into their own ability to avoid the practical ambushes of computing science;
and I will suggest to all who read my mind map 'Combinatorial Psychology'
that likewise if they will but translate the intuitive leaps and revelations
into their own 'prior-knowledgism'* master mind map and 'cheat-sheet' for
their understanding of life, that they will succeed in computer hypnosis.

WHERE ARE ALL THE HEROES?

The difference is that there are plenty of good sources of information
for cheat-sheets on computing science - as far as I know there is no
other cheat-sheet in existence for computer hypnosis. My computer programming
cheat-sheet is certainly not the best in existence, I would not say that
it was even close - likewise my computer hypnosis knowledge is not nearly
as good as it could be and vast improvements could be made. It is my
hope that this will happen and others will improve and make available
as GNU freeware better ways of using computer hypnosis.

TRUTH - AN INTELLECTUAL JOBSWORTH?

The mind-map for 'Combinatorial Psychology' is not intended as an 
instruction manual for Hypnomap-  it is intended as a picture of the
real world. When giving a piece of verbose prose it is very hard to 
assimilate in all the other things one thinks at the same time - and yet
the truth remains the truth whether we admit it or not. I have found
that the picture of the world in 'Combinatorial Psychology' holds up
to the test of experience-  this is in my opinion the way things are. 
Most good books on hypnosis give one elements of the truth and give one
hints as to how to use suggestions - but they do not come out and accuse
the world of all the ambushes I have listed. This is not the fault of
the authors, IMO, though in practise most of them know well that the
ambushes exist and will form their own workarounds -but the result of
this leaving out or polite avoidance of the raw cold truth is that time
and again it is these ambushes which stop the reader from being able
to effectively use their book, or self-hypnosis, or whatever is the
subject of the book. 

AN ALLEGORICAL TALE


FIRST IMPRESSIONS

For example, on reading a good self-hypnosis book
one may be able to instill confidence, calmness and inner peace. After
a journey with a busload of abusive yobs one may be completely regressed
since one does not know how to handle 'verbal abuse'. Having read Dr
Grace Ketterman's excellent book on this one may then have another go, and
regain the confidence and calmness - but not be able to achieve the
effects the author [of the hypnosis book] describes in terms of articulation,
energy, poise, attractiveness and clarity of thought; because the author
has been taking vitamin C powder, but didnt know of the huge effect it has
on the immune system or was unable to say so in his or her book without
being 'flamed.' Say then some years later the same person reads Linus Pauling's
book on Vitamin C and takes it, and feels amazingly good for a short while
until some ?romantic? incident causes a lowering of their immune system and
they dont feel so good. They see the connection, but dont dare to follow 
through the implications into their hypnosis activities because it seems
like a really 'stupid' thing to do.

ROMANTIC ?UNDULATION?

They realise though they've managed to achieve the things
the author of that hypnosis book they read a few years back described ,
but *without* using hypnosis - excitedly they dig it out and have another
go at hypnosis to see if they can bring that state back; but they fail,
because their subconscious mind has decided that ?romantic quality? is
rather more important than the suggestions they are giving and it's not
having it. They forget about it for a while until some months later they
have another ?romantic? incident which causes an even stronger feeling
of elation and this time they have a go at the hypnosis while they're
still feeling amazingly good. The effects are incredible, and they
realise that the effect of the hypnosis was cumulative with already
feeling great. They vow to nail down all their findings and tell the
author of the hypnosis book, tell the world and let everyone know how
wonderful it is. They tell the person involved with the ?romantic? incident
and (s)he is horrified and blows them out, breaking off the relationship 
thinking 'this person's some kind of pervert or weirdo'. For some reason
they dont feel too bad about this at the time, but a few days later after
some unanswered phone calls and coldly rejected bended-knee begging they
wake up feeling lethargic, unable to think well and coughing a bit.

DOCTOR KNOWS BEST

This gets gradually worse over the next few weeks as they tell all their
friends what's happened and ask for their support, resulting in awkward
silences. They feel worse, and go to the doctors who tells them there's
nothing the matter with them & it's 'probably  a virus or something '
and not to worry. Be right as rain in a couple of days. 

ANYTHING YOU CAN DO, I CAN DO BETTER...

They then forget all about the whole incident and get back on with their
life, and no-one mentions it to them for years until they read a book on
paradigm shifts and 'quality'. This freaks them out totally because it
'all makes perfect sense' and they suddenly realise how all this has happened
and how it all fits together. They get on the phone to their best friend and
find to their amazement that (s)he has already read the book in question,
but it 'wasnt their cup of tea'. Protestations and grand statements are
met with 'dont be so silly' and 'dont make a fool of yourself' suggestions,
which are accepted since the best friend always knows best, and the
book is forgotten and they get on with their life again. 

USE YOUR HEAD

Years later they see a television program about mind-mapping and ways of using 
the brain to learn information, and how recall and other faculties of the
brain really work. the program is so good that they rush out and buy a
book on mind-mapping and use of the brain and try out the ideas. They are
so excited about it that they vow to adopt all the techniques in the book
and put them into practise right away. They decide that a great way of
doing that is to mind-map the book itself, and proceed to do that with
the contents page, the introduction, and then with chapter 1. It turns
out to be slow going, and they go for a drink and talk to their friends
about it. 

TIME FOR A QUICK HAND OF 'How to'

To their consternation it turns out that the friends  already know all
about it - and found that it wasnt really that useful. Dejected they consign
the book back to the bookcase in the spare room. 

IDLE FOOLISHNESS

A while later they're off work with a sore back & they get bored, so they turn 
on the TV and watch one of those daytime TV programs. On the show they 
announce that they're going to be having a phone-in on hypnosis - 'Hmmph,' 
they say to themself knowing that it's not going to be anything that 
interesting or useful. The hypnotist turns out to be a famous stage hypnotist 
& they claim that they can cure physical disease just through the power of the 
mind; this rings a bell with the immune system raising of the vitamin C they
tried taking all those years ago but which turned out to be just another
cheap con trick. They have a woman on who has psiorisis, and has been
cursed with a bad form of it all her life. The hypnotist describes 
methodically all the factors involved and exactly, precisely why it works
and the viewer is shocked and nearly chokes on their coffee as all the
internal paradigm buttons of the jigsaw are pressed one-by-one; 

WASHING THE DIRTY LINEN

'hypnosis
is not a magic cure-all, it's a way of controlling your subconscious mind'
says the therapist- many illnesses and conditions are psychosomatic and
so can be controlled through hypnosis by affecting the autonomic nervous
system. What it wont do is remove a deficiency of vitamins, or reverse
non-psychosomatic e.g. physical problems. But it can control the immune
system and it can make you happy. So happy in fact that if we could give
time-release happiness to people with hypnosis in the same way that we
give time release drugs, most of societies problems would be instantly
solved!' 

The show moves on to another topic on cooking for your dog then, and the 
viewer runs through to the spare room to dig out the hypnosis book, vowing to 
use hypnosis to make themselves happy. They run off down the chemist and
get some more vitamin C powder, and after taking it go through the
induction. 

WAVING THE MAGIC WAND

Trouble is though that their back hurts a great deal as they
relax and they get out of sync with their suggestions - telling themself
that they are totally relaxed when in fact they're aching like heck
doesnt work too well. Determined, they press on and get into a semi-relaxed
state which they think is probably a trance but arent too sure, for they
never really knew how to tell that anyway. They give themselves the suggestion
to be happy and they wake up. They now feel even worse as their back is
in so much pain that they need to see the doctor again. The doctor doesnt
mess around and drags it out of them somewhat reluctantly what they've
done. 

PULL YOURSELF TOGETHER!

The doctor tells them they're a 'damned fool' and that they should
have taken his advice and rested. That vitamin C doesnt have any effect and
that hypnosis is a load of nonsense, it's just social compliance. That TV
programs like the daytime show they saw are irresponsible and a load of
codswallop and things like this should be banned. The doctor makes them
promise that they wont do anything as stupid as this again and they
agree. 

IT REALLY IS APPALLING...

Some months later a friend shows them his new computer, with it's
internet connection. He shows them the news articles which are being
posted all over the world on every topic under the sun, and their eyes
focus on the word 'hypnosis' in one of the newsgroups. A feeling of rage
sweeps over them as they see all the misleading, damaging and downright
irresponsible lies being discussed and they write a letter of complaint 
to the government about it. They also use their position as vice-president
of a large corporation to influence their politician friend into sponsoring
a bill to remove this kind of irresponsible rubbish from the internet
on the pretext of removing 'obscene publications'. The wording of the bill
is sufficiently vague to allow anything at all to be closed down. 

TAKING THE BALL AND GOING HOME

The politician friend is glad to sponsor the bill since he is worried about
the impact of this internet business himself and the effect it could
have on the public's opinion of him and his party and the effectiveness
of their means of getting their message across. He has heard stories of
anarchist groups and criminals exchanging information on it and is only
too keen to see it controlled by the relevant authorities. The bill
goes through, and the newsgroups on the internet are closed down, since
anyone can post obscene messages to any of them and to prevent being sued
the companies and universities pull the plug. All news then has to be
moderated by 'responsible persons' and these are appointed by the government
and councils. 

IT DOESNT HAVE TO BE LIKE THIS...

Consider then scenario two, where at the very beginning of this person's
life the hypnosis book they read contains a master mind map of everything
the author thought and their own cheat-sheet detailing exactly how they
managed to achieve success with hypnosis, evading all the ambushes and
admitting exactly what really happened to achieve their own real success;
a combinatorial solution.

- reads hypnosis book in first place and realises that vitamin C is
going to be necessary. Gets some, and has a go but realises that doesnt
really know what is trying to achieve with first induction.  Decides to
get this right since knows it is going to be important and realises that
it is the immune system and subconscious quality which is the problem.
Decides how to tackle this and constructs some suggestions which will
actually work, using the NLP information and constantly checking the
plan against the 'it all makes perfect sense' mind-map cheat-sheet. Realises
that the author has some fundamental religious differences with him which
are going to invalidate all the suggestions in his own use, but realises
that it is not necessary to throw the baby out with the bathwater. 

Makes his own master mind-map using a shareware mind-mapping computer program
and translates all the ideas into his own PSRs. Suddenly hugely excited
with the ideas slotting into place and the dawning realisation that it
does indeed 'All Make Perfect Sense', he realises that the idea to 'do
it later' with the hypnosis idea is going to be fatal since he will lose
forever the state of mind in which he knows exactly what to do. 
 He remembers a friend's anecdote about someone who could only
remember what he really thought by tape recording everything he said with
a cheap personal stereo, and playing it back when he needed reminding,
since only the speed and random access nature of speech was adequate to
accurately preserve unassimilated information.

He frantically mind-maps his ideas down to preserve the knowledge of what
he has to do to achieve optimum health and has a go at the computer hypnosis
program.

His eyes close as he sinks into trance but he remembers that it's
OK and that it can be used as an advantage if he gives himself the suggestion
that they will clear as he goes deeper into trance. He feels smug at being
able to use NLP double-edged sword double bind presuppositional chess-move
analogy suggestions on his unsuspecting subconscious mind and sniggers at
the fact that it 'hasnt got a chance'. He realises in the nick of time that
he does not really know exactly how a hypnosis induction works and that 
rather than not mattering as he had thought in his impulsive urge to dive
in and use hypnosis, it is going to be vitally important to get it right
first time so that the confidence and prior knowledgism that it works will
allow him to gradually build up a default strong 'chess position' of
implanted suggestions, ?NLP-words? and non-psychosomatic problem absences -

He sees the big picture and realises that it is indeed a very good idea
to get hypnotised first of all by a good therapist who can implant a 
good post-hypnotic suggestion like the 'back down now' suggestion which
can be used repeatedly like a series of hammer blows, since it will make
success even more likely- he smiles as he realises that if he does it this
way it's just not fair for his subconscious mind and it hasnt got a chance -

but then he realises that it is entirely necessary to use the best available
tools all the time in hypnosis, NLP and indeed every part of life and that
the complacent impression that 'it's just a bit of fun' or that it's just
an extra is in fact one of the worst ambushes of them all , bringing in
the crimes of misprioritisation, lazy manipulation by those who allow people
to continue with this misapprehension on purpose and that the associated
social pressure created by others' opinions of hypnosis being a gimmick,
and the large quality loss they would suffer in relenting on those opinions,
are not merely interesting side-thoughts but in fact fatal pitfalls lying
in wait for those not in the know. 

He realises with some distress that without realising that he 
would have been hopelessly ambushed out of being
able to succeed with hypnosis and that it is entirely likely that this,
and not genuine flaws or difficulties in hypnosis, is what stifles people
and prevents them from succeeding in hypnosis and indeed a great many 
other things in life. This feeling grows more unpleasant as he takes a 
peek for the first time at his deeper beliefs and faith in science,
education, politics, medicine and indeed integrity of people in general.

Reviewing the part of the cheat-sheet mind-map he had skipped before since
it seemed too outrageous he was horrified to find the things he had
just dared to suspect outlined in full, 'beyond reasonable doubt' graphic
detail. He reeled, and then a voice came into his mind saying 'Pull yourself
together. Dont be so silly - this is how people get immersed in cults or
all that religious nonsense. Take hold of yourself and snap out of it,
for goodness sake man. Stiff upper lip.' The voice almost made him take
it's advice but something made him hold back - it was the last phrase
'stiff upper lip'. It reminded him of his doctor - he always looked the
same, constant and unperturbable. A rock in a sea of jellyfish; and he
most certainly had a stiff upper lip. 

It was what he associated with the saying, in fact when he read the phrase 
or said it out loud he always got a picture of his doctor in his mind, and 
that gave him the wish to be like this tower of strength, this pillar of 
wisdom, this fine upstanding man who would tell him what 
to do with all this nonsense if he were here just now. And suddenly, the 
penny dropped and he realised what it was that had made him hold back. 
He realised that what had happened when he thought of the phrase 
 stiff upper lip in thinking of his doctor was
the very association of feelings and phrases which he had read about in
the mind-map cheat sheet - and that the very thing which was telling
him to take a stiff upper lip and discard it was the thing which he was
being influenced to discard! His attention shifted slightly then onto the
doctor, and he thought of what he would really make of it. 


To his surprise he couldnt really picture the doctor making anything of it 
at all - the doctor had never mentioned anything like that. Not once had he 
discussed how the emotions worked, or mental associations, or the way people 
thought, or what effect social interaction has on people, or anything like that
with him. It had never seemed to matter- he had never even thought about it.
Could it really be that the doctor didnt KNOW? This man who knew everything,
who was the shining light of wisdom and reassurance in his world, didnt
know about the association of phrases and pictures? Surely not. He must
know. Surely the doctor had seen the BBC documentaries on Using your head,
from Tony Buzan's ideas. Surely the doctor of all people would know about
vitamin C; homeopathy; NLP for that matter - surely HE would know whether
or not there was anything to that. And indeed all the books; did not the
doctor go to the same bookshops? Have the same pair of eyes which saw all
the evidence he himself had seen? Have the same pair of ears to listen
to people using all the tricks and methods described in the books? 

The uncertainty was too much and he got up and went down to the
surgery right away. The doctor was busy, as usual, but agreed to see him
after surgery. Sitting in the waiting room he felt very uneasy though- 
it had all seemed so clear before, as to what he was going to ask, but
now it didnt seem nearly so easy. He walked into the surgery after
an hour and a half sitting in the waiting room tense, worried about making
a fool of himself and feeling somehow out of place.

'What's the problem then.'

'Er... nothing actually, I wanted to ask you something - it is to do
with health though!'

'Right, fire away...'

'Right, ah. What it is is that I was trying this 'computer hypnosis' idea
and I was thinking about how best to go about it, when this voice came into
my mind telling me to keep a 'stiff upper lip'. I thought of you at that
point, and I wondered to myself what you would make of it so I thought
I'd come along and ask you. I hope you dont mind....'

[Silence, though expression changes to dissapproving frown]

'Er...could I show you the mind-map and ask you what you think of the
ideas? I mean whether they're worthwhile or not or whether I'm being
silly about it. It's really important to me what you think about it'

[Collects self and prepares to speak]

'I dont think I've explained this very well. I would have written to you
instead but it just didnt seem to come out right so I wanted to ask you in
.. '

"Stop right there. I'm afraid you've been had, <Name>. This sounds like these
propaganda things from one of those extremist cults. Now listen to me.
I've known you since you were 2. I've seen people whose lives have been
ruined by this stuff. Hypnosis is not a toy, it's dangerous. Where did
you get this from, <Name>? "

[In disarray]

'Er... I didnt mean that I'd hypnotised myself, I was only thinking about
doing it - there's a lot of other things in it too, will you have a look
at it?'

"Now listen. This has got to stop. Do you want to end up with a shaven
head or going to jail for firebombing some fur warehouse? I dont want
to see that stuff again. Now promise me you'll throw it away and get
on with your life. You've always been a good (lad / girl,) and I'm very
fond of you. Believe me , I've seen all this stuff before and it's
dangerous. People are just trying to exploit you."

[Nonplussed & dejected, agrees and leaves.]

On arriving home, finds that the book they ordered a few days ago has finally
arrived, and they take 'Betrayal of Trust' by Vernon Coleman out of the
package and read it. After finishing reading it the picture of the fine
upstanding doctor with the stiff upper lip has gone permanently. They realise
with a start that this has happened without using hypnosis; but how? Surely
they would have had to have been hypnotised to achieve this -and then the
penny drops that they have indeed been hypnotised whilst reading the book.
That hypnosis is merely a word describing a state in which change of emotions
and beliefs becomes easier, and many other things. And that the argument
over what hypnosis is is a red herring; for if one will see past the actual
word and think about what is actually going on, in terms of one's it all
makes perfect sense cheat-sheet for the way things really are, then one 
will see that labels without associated specific 'real' objects - 
'NLP', 'hypnosis' ,'TA', 'medicine', 'psychology', 'science', 'education',
etc. etc. etc. serve a purpose, and serve it well. But that purpose is not 
in bringing us closer to the truth, it is in hiding it. For the truth
exists without any of these labels, and what actually happens in hypnosis
may be 'just' social compliance, or it may be 'just' a subjective phenomena, 
or it may be 'just this' or 'just that'. But what I never hear them saying is 
that it's 'just the key to health, happiness and understanding of everything
else about the way we think, act and feel'. Because that would nail the lie-
that if it is 'just' something, then that something that it is 'just' deserves
a great deal of our attention. And as soon as one realises that, the cats
of science, objectivity, worth of education, medicine and a great deal
else are well and truly out of the bag. 

This then is what combinatorial psychology is about'; it is about using
your head. It is about using the intuitive leaps from any and all disciplines,
and going wherever the truth leads you to find out what is really going on.
It is about taking a critical mass of subjective information, and nailing
things down once and for all from it. It is about identifying double-binds
and ambiguities and contradictions and half-truths and downright lies of
philosophical, academic and scientific hypocrisy , disinformation and
fingers in the pie. It is about standing up for the Truth, and using your
cheat sheet of the way things are, that it all makes perfect sense, to 
use whatever means of lateral, combinatorial thought are necessary to bring
about reductions of problems and dilemmas between different fields to 
expose the truth. All this stuff I just made up - because the label
'combinatorial psychology' is my own invention. And hence as with NLP and
hypnosis and TA and any of the other labels I have mentioned, I think it
would be better dispensed with. That said, a book needs a title - but that
is all I want it to be. I do not want to find people dismissively saying
'Oh, it's "just" Combinatorial Psychology.'. 

AMBUSHES


